*COMDECK HISTORYL383     ***
L390     ***
UPD0034   CORRECT Q-MODE ADDFILE PROCESSING SO THAT 
          COMMON DECKS CALLED FROM THE ADDED FILE ARE 
          INCLUDED ON THE NEWPL IN PROPER ORDER.
          MWE    74/05/22    UPDATE 
  
UPD0058   CORRECT UPDATE SO THAT BOTH RANDOM AND
          SEQUENTIAL OLD PROGRAM LIBRARIES WILL BE
          REWOUND AT THE END OF EXECUTION (UNLESS NO
          REWIND HAS BEEN SPECIFIED). 
          PLS    74/05/28    UPDATE 
  
UPD0069   CORRECT UPDATE SO THAT IF A NULL ADDRESS IS 
          FETCHED FROM THE SCRIND TABLE, UPDATE WILL
          NOT TRY TO READ THE NULL CARD FROM THE
          *UPDTSCR* FILE. 
          PLS    74/05/03    UPDATE 
  
UPD0107   CORRECT UPDATE SO THAT EITHER THE NONFATAL
          ERROR FLAG OR THE FATAL ERROR FLAG, BUT NOT 
          BOTH, IS INCREMENTED WHEN DUPLICATE DECKS 
          ARE ENCOUNTERED.
          MWE    74/05/24    UPDATE 
  
UPD0116   CORRECT UPDATE SO THAT LIST OPTIONS A AND 1 
          ARE AUTOMATICALLY SELECTED WHEN DOING 
          UPDATE(A) OR UPDATE(B). 
          PLS    74/06/27    UPDATE 
  
UPD0121   CORRECT UPDATE SO THAT THE FLAG *TXTFLAG* 
          WILL NOT BE INCREMENTED TWICE WHEN *TEXT OR 
          DECREMENTED TWICE WHEN *ENDTEXT DIRECTIVES
          ARE ENCOUNTERED ON A CREATION RUN.
          PLS    74/06/21    UPDATE 
  
UPD0128   CORRECT UPDATE SO THAT *NOLIST WILL CORRECTLY 
          TURN OFF THE LISTING OF ADDFILE DECKS.
          PLS    74/07/22    UPDATE 
  
UPD0131   CORRECT K-OPTION PROCESSING OF ADDFILE WHEN 
          IN Q-MODE WITH RANDOM OLDPL AND NEWPL IS NOT
          SPECIFIED.
          MWE.   74/06/24.   UPDATE.
  
UPD0133   CHANGE ERROR MESSAGE WHEN U OPTION IS SELECTED
          AND ERRORS ARE ENCOUNTERED IN INPUT.  IF U IS 
          NOT SELECTED, DIAGNOSTIC WILL REMAIN UNCHANGED. 
          PLS.   74/08/28.   UPDATE.
  
L397     ***
UPD0049.  THIS CODE CORRECTS THE FOLLOWING IN UPDATE -
          1.  IF A *YANK, *YANKDECK, OR *SELYANK DEACTIVATES
              AN ALREADY INACTIVE CARD, THE CARD WILL BE FLAGGED
              WITH A TYPE 3 OVERLAPPING CORRECTION. 
          2.  DETECT WHEN A CARD IS BEING INSERTED AND DELETED
              WITHIN THE SAME UPDATE RUN. 
          3.  IF A CARD IS LISTED IN THE MODIFICATIONS / CONTROL
              CARDS SECTION AS A RESULT OF AN OVERLAPPING 
              CORRECTION, THE ACTIVITY STATUS (D,A,I) OF THE CARD 
              AS WELL AS THE OVERLAP WILL BE GIVEN. 
          PLS.   74/10/08.   UPDATE.
  
UPD0103.  CORRECT UPDATE SO THAT TRAILING BLANKS WILL 
          BE SUPPRESSED ON CODED FILES ON ALL SYSTEMS.
          PLS.   74/09/25.   UPDATE.
  
UPD0154.  CORRECTS UPDATE SO THAT UN-MODIFIED FIRST 
          DECKS OF OLDPL IN A SELECTIVE MODE MERGE RUN
          WILL NOT BE WRITTEN TO THE COMPILE FILE.
          MWE.   74/09/25.   UPDATE.
  
UPD0155.  CORRECTS *BEFORE AND *ADDFILE IN Q,K MODE WITH
          RANDOM OLDPL TO PREVENT PROCESSING DECKS TWICE. 
          MWE.   74/09/25.   UPDATE.
  
UPD0156.  ELIMINATES INCOMPLETE SEQUENCING OF ALL 
          DECKS SPECIFIED BY *SEQUENCE DNAME1.DNAME2
          MWE.   74/09/09.   UPDATE.
  
UPD0163.  CORRECT UPDATE SO THAT COLONS ARE NOT APPENDED
          TO ERROR MESSAGES.  THIS CODE IS DEPENDENT
          UPON UPD0103 TO WORK CORRECTLY. 
          PLS.   74/08/15.   UPDATE.
  
UPD0164.  APPLIES -G- OPTION FILE REWINDS IN ACCORD 
          WITH -S- OPTION FILE HANDLING.
          MWE.   74/10/21.   UPDATE.
  
UPD0165.  SETS FO=SQ FOR RANDOM FILES PROCESSED IN PREVIOUS 
          JOB STEPS TO ENABLE ACCESS OF HEADER RECORD.
          THIS CODE EFFECTS SCOPE2 UPDATE ONLY. 
          MWE.   74/10/29.   UPDATE.
  
UPD0166.  IGNORES INACTIVE TEXT/ENDTEXT DIRECTIVES WHEN COPYING 
          OLDPL TO TEMP RANDOM PL TO AVOID SPURIOUS TXTFLG COUNT. 
          MWE.   74/10/29.   UPDATE.
  
UTL0001.  CORRECTS COPYL/COPYLM SO THAT DATA TYPE RECORDS ARE NOT 
          REPLACED.  CHANGES TEXT RECORD PROCESSING IN ITEMIZE TO 
          PRINT THE SAME INFORMATION THAT KRONOS CATALOG DOES.
          SJP.   75/02/05.   COPYL, ITEMIZE.
  
L401     ***
UPD0167.  CORRECT HANDLING OF ADDFILES AND RANGE FORM 
          OF COMPILE DIRECTIVE WHEN K OPTION HAS
          BEEN SPECIFIED. 
          PLS.   74/12/05.   UPDATE.
  
UPD0172.  CORRECT UPDATE SO THAT CHARACTER SET
          CONVERSION WILL NOT UNCONDITIONALLY BE
          DONE WHEN USING AN OLD STYLE PL.
          PLS.   74/12/16.   UPDATE.
  
UPD0174.  IF AN IDENT OR DECKNAME BEGINS WITH AN *, 
          DEFAULT VALUES WILL NOT BE ASSUMED FOR *ADDFILE 
          AND RANGE FORM WILL NOT BE ASSUMED FOR *PURGE.
          PLS.   74/12/13.   UPDATE.
  
UPD0175.  REMOVE FORCED PAGE EJECTS WHEN LISTING
          COMDECKS AND DEFINE NAMES TABLES. 
          PLS.   74/12/30.   UPDATE.
  
UPD0178.  ELIMINATE LISTING PAGE HEADER AND A TABLE HEADER
          WHEN DOING AN *ADDFILE AND L=1 WITH NO ERRORS.
          PLS.   75/01/27.   UPDATE.
  
UPD0180.  CORRECT PROCESSING OF FORMAT 2 OF *COPY TO
          CONFORM WITH THE REFERENCE MANUAL.
          PLS.   75/01/28.   UPDATE.
  
UPD0184.  CORRECT UPDATE SO THAT IT CAN HANDLE MORE 
          THAN 2047 DECKS.
          PLS.   74/12/04.   UPDATE.
  
UPD0185.  CORRECT UPDATE SO THAT DECKS WILL NOT BE LOST 
          WHEN BEING PURGED AND RE-INTRODUCED IN THE
          SAME UPDATE.
          PLS.   75/02/06.   UPDATE.
  
L406     ***
UPDCPRT.PLACE COPYRIGHT NOTICE INTO UPDATE TEXT AND BINARY. 
          CAR.   75/04/03.   UPDATE.
  
 UTLCPRT. UPDATE COPYRIGHT IN COPYL AND ITEMIZE UTILITIES.
          KLS.   75/03/31.   COPYL, ITEMIZE.
  
UPD0190.  FIXES CALL CARD SO THAT = IS A LEGAL SEPARATOR
          WHEN ENCOUNTERED AS THE FIRST DELIMITER.
          PLS.   75/02/27.   UPDATE.
  
UPD0207.  CODE TO AVOID THE POSSIBILITY OF PASS ONE OVERFLOW. 
          CAR.   75/05/30.   UPDATE.
  
 UTL0009. MAKE ITEMIZE PRINT TAPE LABEL IN PAGE TITLE LINES.
          KLS.   75/04/04.   ITEMIZE. 
  
L410     ***
UPD0173.  THIS CODE INSURES THAT THE OCCURRENCE OF A DUPLICATE
          IDENTIFIER NAME CAUSES THE NON-FATAL ERROR COUNT
          TO BE INCREMENTED, RESULTING IN A DAYFILE MESSAGE.
          CAR.   75/06/24.         UPDATE.
  
UPD0193.  CAUSES PROPER SEQUENCE INFORMATION TO BE PRINTED WHEN THE 
          D AND X PARAMETERS ARE SPECIFIED.     (WAS UPDA094) 
          CAR.   75/04/04.   UPDATE.
  
UPD0200.  CODE TO ISSUE A DIAGNOSTIC AND ABORT IF A SCOPE 2 
          USER, WHILE IN A MODE, ATTEMPTS TO CREATE A NEWPL 
          WHICH IS BLOCKED. 
          CAR.   75/06/09.   UPDATE.
  
UPD0202.  PREVENT COMMON DECKS CALLED BY THE DECK SPECIFIED 
          ON AN ADDFILE CARD (THE DECK AFTER WHICH INFORMATION
          IS TO BE ADDED) FROM BEING WRITTEN TO THE NEWPL IN
          *Q* MODE. 
          CAR.   75/05/28.   UPDATE.
  
UPD0203.  CODE TO PRINT BAD PARAMETERS IN AN UPDATE CONTROL 
          CARD INSTEAD OF STARRING THE ERROR AS WAS PREVIOUSLY
          DONE.  DIAGNOSTICS NOW HAVE MEANING ON INTERCOM.
          CAR.   75/05/20.   UPDATE.
  
UPD0209.  CODE TO PRINT THE PROPER SEQUENCE NUMBERS ON READ 
          RECOVER ERROR MESSAGES.  PRIOR TO THIS, THE 
          SEQUENCE NUMBERS PRINTED FOR THE CARD PRECEEDING
          THE ERROR AND THAT WHICH FOLLOWS WERE THE SAME. 
          CAR.   75/06/04.   UPDATE.
  
 UTL0006. CLARIFY INFORMATION ISSUED AFTER SOME 6PP PROGRAMS. 
          KLS.   75/04/07.   ITEMIZE. 
  
 UTL0008. MAKE ITEMIZE LIST ALL 9 CHARACTERS OF UPDATE DECK 
          AND IDENT NAMES.
          KLS.   75/05/21.   ITEMIZE. 
  
 UTL0009A.MODIFY COMFGFL TO ASSURE PROPER LABEL NAME HANDLING 
          BY ITEMIZE IN A SCOPE 2 ENVIRONMENT.
          KLS.   75/07/15.   COMFGFL. 
  
  
 UTL0011. ENSURE SPURIOUS ERROR MESSAGE NOT ISSUED FROM ITEMIZE 
          WHEN THE N PARAMETER IS SPECIFIED TWICE.
          KLS.   75/03/15.   ITEMIZE. 
  
 UTL0012. DIAGNOSE THE CASE WHEN DUPLICATE FILE NAMES ARE 
          SPECIFIED FOR COPYL.
          KLS.   75/03/17.   COPYL. 
  
 UTL0014. MODIFY COMFRDW TO DISCARD THE UNUSED BIT COUNT
          BEFORE PERFORMING CALCULATIONS TO UPDATE THE BUFFER 
          POINTERS. 
          KLS.   75/07/21.   COMFRDW. 
  
UTL0015.  ENSURE THAT IN THE CASE OF SCOPE 2, COPYL SETS
          OF=R WHEN THE R OPTION IS SPECIFIED ON THE COPYL
          CALL CARD.
          KLS.   75/07/22.   COPYL. 
  
L414     ***
UPD0150.  THIS CODE CAUSES UPDATE TO ABORT AT THE END OF PASS 
          ONE IF FATAL ERRORS OCCURRED AND U MODE NOT SELECTED. 
          CAR.   75/07/09.   UPDATE.
  
UPD0215.  CODE TO INSURE TEXT AND ENDTEXT DIRECTIVES LISTED 
          WHEN LIST OPTION TWO SPECIFIED. 
          CAR.   75/07/07.   UPDATE.
  
UPD0218.  CODE TO PREVENT ABORTING DUE TO AN UNFOUND COMMON 
          DECK SPECIFIED ON A CALL CARD.
          CAR.   75/07/10.   UPDATE.
  
UPD0219.  CODE TO PREVENT RANGE ERRORS FROM CAUSING ERRONEOUS 
          ERROR MESSAGES IN PASS TWO. 
          CAR.   75/07/10.   UPDATE.
  
UPD0220.  CODE TO SET TXTFLAG TO ZERO PRIOR TO PASS TWO TO
          PREVENT THE INSERTION OF A TEXT CARD FROM CAUSING 
          EVERYTHING READ IN PASS TWO TO BE INTERPRETED AS
          TEXT. 
          CAR.   75/07/15.   UPDATE.
  
UPD0221.  CODE TO CHANGE SCOPE 2 PORTION OF WDEC ROUTINE SO 
          THAT, WHEN WRITING TO A CODED FILE, A WORD WHICH
          TERMINATES WITH ONE ZERO BYTE WILL NOT PRINT OUT
          AS IF IT HAS A COLON TERMINATOR.
          CAR.   75/07/25.   UPDATE.
  
UPD0225.  CODE TO RETURN SCRATCH FILE UPDTPMD.
          CAR.   75/09/03.   UPDATE.
  
UPD0226.  PREVENTS YANK, SELYANK, DEFINE, AND YANKDECK FROM 
          TERMINATING INSERTION.
          CAR.   75/09/05.   UPDATE.
  
 *L420*    *********************************************************************
UPD*76.   UPDATE THE COPYRIGHT INFORMATION TO INCLUDE THE YEAR
          1976. 
          CAR.   75/12/04.   UPDATE.
  
 UTL*76.  UPDATE COPYRIGHT IN COPYL AND ITEMIZE UTILITIES.
          KLS.   75/12/03.   COPYL, ITEMIZE.
  
 CP139UT. ENABLE COPYL AND ITEMIZE TO PROPERLY RECOGNIZE 5400 TABLES. 
          KLS.   75/09/05.   COMQSRT,ITEMIZE. 
  
 UTL0021. ENSURE PROPER TYPING OF ABS OR OVL RECORDS THAT 
          CONTAIN LDSET TABLES. 
          KLS.   75/10/15.   COMQSRT,ITEMIZE. 
  
 UTL0018. ENSURE PROPER HANDLING OF CONTROL CARD CRACKING 
          WHEN THE ITEMIZE CARD STARTS IN A COLUMN OTHER
          THAN COLUMN ONE.
          KLS.   75/09/18.   COMCSES. 
  
 UTL0020. ENSURE PROPER HANDLING OF RT=S ON SCOPE 2.1.
          KLS.   75/10/15.   COMFRIO,COMFWTW,COMFRDW. 
  
 UTL0016. ENSURE LEP DOES NOT ZERO THE OUT POINTER WITH 
          A WILD STORE WHICH PREVIOUSLY OCCURED FOR CERTAIN 
          CASES INVOLVING THE HANDLING OF PURGED IDENTS.
          KLS.   75/09/10.   ITEMIZE. 
  
 UTL0015A CORRECT BAD REGISTER USAGE CAUSED BY UTL0015. 
          KLS.   75/10/15.   COPYL. 
  
UPD0197.  CODE TO STORE CORRECT PURGED IDENT COUNT. 
          CAR.   75/10/10.   UPDATE.
  
UPD0231.  CODE TO PLACE SOME SCOPE 2 I/O BUFFERS INTO LCM.
          CAR.   75/09/24.   UPDATE.
  
UPD0231A. CODE TO FIX UP MINOR COMPILE FILE PROBLEM.
          CAR.   75/12/03.   UPDATE.
  
UPD0228.  PREVENT INCORRECT CONVERSION FROM 64 TO 63 CHARACTER
          SET WHEN TEMPORARY INTERMEDIATE PL IS USED. 
          CAR.   75/10/08.   UPDATE.
  
UPD0235.  INSURES THAT IF CERTAIN DIRECTIVES WHICH ARE HANDLED
          WITHIN THE READCD ROUTINE (SUCH AS READ, TEXT, ETC.)
          CONSTITUTE THE FIRST INPUT CARD, AND IF THE PROPER
          MASTER CONTROL CHARACTER IS NOT SPECIFIED, THAT UPDATE
          WILL RECOGNIZE THAT DIRECTIVE.
          CAR.   75/10/27.   UPDATE.
  
 *L428*    *********************************************************************
UPD0140.  CODE TO PREVENT AN ENDIF CARD FROM TERMINATING A
          SKIP RANGE IF A SKIP COUNT WAS SPECIFIED AND HAS
          NOT BEEN EXHAUSTED. 
          CAR.   75/11/10.   UPDATE.
  
UPD0230.  PREVENTS THE DECK PRECEDING A PURGED DECK FROM
          BEING WRITTEN TO THE COMPILE FILE WHEN IN NORMAL
          MODE. 
          CAR.   75/11/05.   UPDATE.
  
UPD0231B. CODE TO FIX CREATION RUN COMPILE FILE PROBLEM AND 
          MODE 1 (SCM RANGE) CAUSED BY UPD0231 CODE.
  
UPD0232.  CODE TO RETURN UPDTAUD, AN UPDATE SCRATCH FILE. 
          CAR.   75/10/30.   UPDATE.
  
UPD0239.  CODE TO INSURE THAT *CALL CARDS ON THE OLDPL ARE
          PRINTED IF BOTH SOURCE AND COMPILE FILES ARE
          REQUESTED.
          CAR.   75/11/10.   UPDATE.
  
 UTL0023. ENSURE PROPER HANDLING OF PRINT DENSITY UPON JOB
          TERMINATION.
          KLS.   75/11/3.    ITEMIZE. 
  
 UTLA010  REINITALIZE REGISTERS AFTER A MEMORY REQUEST TO 
          CORRECT A PP CALL ERROR WHICH PREVIOUSLY OCCURRED.
          KLS.   75/12/03.   COPYL. 
  
 UTL0031. CHANGE MSG= CORRESPONDING TO CHANGES IN *MESSAGE* 
          MACRO INTRODUCED BY *KR12124*.
          RHG.   76/03/04.   COMCSYS, COPYL, ITEMIZE. 
  
 *L433*    *********************************************************************
 UTL0007. MODIFY COMQSRT TO ENSURE PROPER TYPING OF ALL 
          POSSIBLE TEXT CASES.
          KLS.   75/06/19.   COMQSRT. 
  
 UTL0017. ENSURE ITEMIZE PROCESSES THE DATA FOR SHORT FILES 
          WITH AN EOI MARK ONLY.
          KLS.   75/08/18.   ITEMIZE. 
  
 UTL0032. MODIFY ITEMIZE TO ENSURE PROPER HANDLING OF A RECORD
          CONTAINING NO DATA BEYOND THE 7700 TABLE. 
          KLS.   76/03/31.   ITEMIZE. 
  
 UTL0034. ADD A SPECIFIC TEST FOR EOS IN COMFRDW TO ENSURE
          THAT ALL CASES INVOLVING END OF SECTION ARE PROPERLY HANDLED. 
          KLS.   76/04/26.   COMFRDW,COPYL,ITEMIZE. 
  
UPD0230A. ENSURE THAT A NON ZERO VALUE IS STORED INTO CELL DKSTRUC
          SO THAT THE *DECK STRUCTURED CHANGED* MESSAGE IS ONLY 
          PRINTED ONCE. 
          VMA.   76/06/24.   UPDATE.
UPD0260.  FIX CHECKAF SO THAT DICT IS SEARCHED FORWARDS (INSTEAD
          OF BACKWARDS) FOR ADDFILE ENTRIES.  THIS WILL CAUSE 
          MULTIPLE ADDFILES AFTER THE SAME DECK TO BE APPLIED 
          IN THE CORRECT ORDER.  SPECIAL ATTENTION HAD TO BE
          GIVEN TO OLD STYLE ADDFILES.  PREVIOUSLY, THE ORDER 
          IN DICT OF MULTIPLE DECKS ADDED BY ONE ADDFILE HAD TO 
          BE MASSAGED DURING PASS ONE.  NOW THE ROLES HAVE
          REVERSED, WITH MASSAGING DONE TO NEW STYLE ADDFILES,
          AND THE ORDER OF OLD STYLE ADDFILES LEFT ALONE. 
          CAR/VMA.  76/05/03.  UPDATE.
  
 *L439*    *************************************************************
 UPD0180A. ENSURE THAT GARBAGE IS NO LONGER IN THE DIAGNOSTIC 
          WHICH RESULTS WHEN A *COPY DIRECTIVE USES AN INVALID
          DECK NAME.
          KLS.   76/06/08.   UPDATE.
 UPD0251. MAKE CONTROL CARD SCANNER TREAT LEFT PAREN AS COMMA.
          RHG.   76/02/09.   UPDATE.
  
 UTL0043. SPECIFY THE END OF DATA EXIT ON THE GETWP MACRO CALL
          IN COMFRDW. 
          KLS.   76/08/03.   COMFRDW,COPYL. 
 *L446*    *************************************************************
UPD*77.   UPDATE COPYRIGHT NOTICE FOR YEAR 1977 IN UPDATE.
          RLD.   76/10/26.   UPDATE.
  
PSRLVL    IMPLEMENT VERSION AND PSRLEVEL IN UPDATE
          JEG.   76/10/28.   UPDATE 
  
UTL*77.   UPDATE COPYRIGHT NOTICE FOR YEAR 1977 IN COPYL AND ITEMIZE
          JEG    76/10/26.   COPYL, ITEMIZE 
  
 CP161UT. ENSURE COPYL AND ITEMIZE PROPERLY RECOGNIZE AND PROCESS 
          CAPSULES. 
          KLS.   76/08/30.   COPYL,ITEMIZE. 
 CP166A   ENSURE PRINT WIDTH VALUE SPECIFIED BY A USER ON A 
          CONNECTED DEVICE IS HONORED.
          ISSUE INFORMATIVE MESSAGE IF ILLEGAL PW SPECIFICATION 
          GIVEN.
          KLS.   76/10/23.   ITEMIZE. 
 F4600UT. ENSURE PROPER TYPING AND PROCESSING OF PROCEDURE RECORDS
          BY COPYL AND ITEMIZE. 
          KLS.   76/08/31.   COPYL,ITEMIZE. 
          THIS CODE IS DEPENDENT ON CP161UT 
  
 F7540UP. MODIFICATIONS TO THE CONDITIONAL ASSEMBLY FOR CYBER 176 
          SUPPORT.
          RLD.   76/09/22.   UPDATE.
  
F7820UT   CODE TO SUPPORT NEW COMMON MESSAGE MACRO
          VMA    76/11/09.   COMCSYS,COPYL,ITEMIZE
 CMM*77   UPDATE COPYRIGHT INFORMATION FOR CMM. 
          AM     11/15/76    CMM
 CMM0001  THIS RESTORES THE VARIABLE BLOCK FUNCTIONS, THE OVERFLOW- 
          ACTION FUNCTIONS, AND THE UNLOAD-ACTION FUNCTIONS.
          ALL OF THESE WERE WITHHELD FROM RELEASE 439.
          AM     11/15/76    CMM
 UTL0042X ENSURE PROPER COMMENTING WHEN ITEMIZING 6PP ROUTINES
          FOR THE CASE IN WHICH OTHER THAN 6PP ROUTINES ARE 
          CONTAINED IN THE PPNT.
          KLS.   76/08/05.   ITEMIZE. 
 UTL0044X ENSURE THAT IN THE CASE OF TYPE TEXT, THE ENTIRE RECORD 
          IS LISTED IF THE RECORD NAME IS CMRDC,IPRDECK,IPRDC,LIBDECK,
          LIBDC, OR COMMENT.
          KLS.   76/09/02.   ITEMIZE. 
  
 UTL0047X. MODIFY COPYL BY INCREASING THE SIZE OF THE WORKING BUFFER
          PASSED TO SRT TO INSURE PROPER TYPING.
          KLS.   76/10/10.   COPYL. 
UTL0047AX FIXES CASE WHERE CORRECTION FILE HAS RECORD AN EXACT MULTIPLE 
          OF A PRU LONG.  SYMPTOM WAS CORRECT DAYFILE MASSAGES BUT
          NEW MASTER FILE HAD AT LEAST ONE PRU OF GARBAGE PRECEDING 
          SOME RECORDS. 
          KLS    11/24/76    COPYL
 *L452*    *************************************************************
 CMM0002  CORRECT DEFINITION OF THE DEFAULT UTILIZATION LEVEL.
          AM     77/01/28    CMM
 CMM0003  DETECT CASE WHERE THERE IS NOT ENOUGH ROOM BETWEEN HHA
          AND MAXFL FOR CMM INTERNAL TABLES.
          AM     77/01/28    CMM
 CMM0004  CORRECT CMM.LDV WHEN SHIFTING DABA FROM HHA-1 TO HHA. 
          AM     77/02/01    CMM
 CMM0005  PREVENT CMM FROM CLEARING NEWLY-ACQUIRED CORE.
          AM     77/02/04    CMM
 UPD0252. CODE TO CORRECT ERROR INTRODUCED BY UPD0164, WHICH CAUSES 
          *PULLMOD TO OVERWRITE THE SOURCE FILE.
          RLD. 76/12/17            UPDATE 
  
 UPD0267. CODE TO CHECK FOR END CARDS OF RANGE DELETES ON RANDOM OLDPL. 
          JEG.   76/11/24    UPDATE.
  
 UPD0279. REMOVE CODE WHICH PRINTS THE MESSAGE *COPYING OLDPL TO RANDOM 
          FILE* WHEN UPDATE,A. IS USED. 
          JEG.   76/11/30          UPDATE.
 UPD0302. CODE TO CHECK THE INSERT FLAG, INSFLG, BEFORE ADDING A
          COMDECK TO THE DECK TABLE.
          JEG.   76/12/28.   UPDATE.
  
 UPD0304. DECREMENT ROOM AVAILABLE BETWEEN TABLES *DECKS* AND *DICT* TO 
          ALLOW FOR INCREASE IN LENGTH OF TABLE *DECKS*. THIS SOLVES
          THE PROGLEM OF MANAGED TABLES OVERLAPPING WHEN DOING A MERGE. 
          JEG,CJL. 77/02/16. UPDATE.
UTL0056.  CORRECT PROCEDURE PROCESSING. 
          ARW.   77/02/25.   COPYL,ITEMIZE. 
  
 *L460*    *********************************************************************
UPD0227.  CODE CAUSES UPDATE TO ISSUE AN ERROR MESSAGE WHEN UPDATE
          TRIES TO REQUEST MORE MEMORY THAN HE IS ALLOWED.
          RLD.   06/30/77.   UPDATE.
  
UPDA121.  CODE CAUSES *COMPILE CARD WITHOUT A DECK NAME ON IT TO
          BE DIAGNOSED. 
          RLD.   07/14/77.   UPDATE.
  
 UPD0254. CODE TO PERMIT UPDATE TO PURDECK A DECK IF A PURGE IS 
          SPECIFIED FOR THE IDENT CREATED BY THAT DECK. 
          JEG.   77/07/25.   UPDATE.
  
UPD0285X. CAUSES OLDPL AND MERGE PL TO BE CLOSED AFTER
          A MERGE.
          RLD.   77/03/16.   UPDATE.
  
UPD0295.  THIS CODE WILL ALLOW YOU TO SPECIFY L=0 DURING UPDATE 
          COPY RUNS.
          RLD.   7/11/77. 
  
 UPD0307. CODE TO ALLOW 11000B WORDS OF DYNAMIC TABLE SPACE TO BE 
          REQUESTED IF UPDATE WAS ENTERED WITH INSUFFICIENT FL. 
          JEG.   77/06/07.   UPDATE.
  
UPD0309.  CORRECTIVE CODE CAUSES ALL COMMOM DECKS TO
          BE LISTED AT THE END OF AN UPDATE RUN.
          RLD.   77/03/29.   UPDATE.
  
UPD0313.  CODE INSURES THAT COPY WILL WORK PROPERLY IN ALL
          CASES WITH A SEQUENTIAL OLDPL.
          RLD.   07/21/77.   UPDATE.
  
UPD0320.  ENSURES THAT X6 IS ZERO AFTER THE FETCH MACRO CALL
          INTRODUCED BY UPD0200 
          RLD.   06/30/77.   UPDATE.
  
UPD0322   CODE INSURES THAT UPDATE ISSUES A RETURN ON A PRIOR 
          NEWPL AND NOT AN EVICT. 
          RLD.   07/25/77.   UPDATE.
  
 CMM0007  CHANGE CMM.SDA TO MEM UP IF NEW-DABA EXCEEDS THE CURRENT FL.  000120
          AM     77/03/08    CMM                                        000130
UTL0053.  ALLOW BLANK AS A SEPARATOR AFTER ITEMIZE UNDER NOS/BE.
          ARW    77/05/27.   EDITLIB. 
  
UTL0054.  CHECK FOR OBVIOUS GARBAGE IN OLDPL HEADER.
          ARW.   77/06/17.   ITEMIZE. 
  
UTO0059.  USE CORRECT NAME FOR CAPSULES WITHOUT PREFIX TABLES.
          ARW.   77/03/24.   ITEMIZE,COPYL. 
  
 *L470*    ************************************************************* *L470* 
 CMM0008  REMOVAL OF USE OF ROVING POINTER FOR FIXED BLOCK ALLOCATION.   CMM0008
          AM     77/03/28    CMM                                         CMM0008
 F182CMM  MODS ASSOCIATED WITH THE NEW CMM.FAF FUNCTION.                 F182CMM
          AM     77/03/28    CMM                                         F182CMM
 F184CMM  INCLUSION OF THE CMM.LOV FUNCTION.                             F184CMM
          AM     77/06/03    CMM                                         F184CMM
 CMM*78   UPDATE THE COPYRIGHT INFORMATION TO INCLUDE THE YEAR 1978      CMM*78 
          AM     77/06/29    CMM                                         CMM*78 
CMM0015   FIX CMM.CSV TO PROPERLY RESTORE B2.                            CMM0015
          AM     77/06/29    CMM                                         CMM0015
 CMM0017  PROBLEM. CMM CAN NOT BE DEACTIVATED IF A POINTER               CMM0017
          MAINTANANCE ROUTINE IS PRESENT.                                CMM0017
          SOLUTION. REMOVE SPECIAL CHECK FROM CMM.KIL                    CMM0017
                                                                         CMM0017
           SM    10/20/77    KIL                                         CMM0017
                                                                         CMM0017
CP189A.   PROVIDE LISTING OF DDS RECORDS SIMILIAR TO CMR RECORDS.        CP189A 
          ARW.   77/07/11.   ITEMIZE.                                    CP189A 
                                                                         CP189A 
CP190.    THIS CODE ADDS THE MULTIPLE OLDPL FEATURE TO UPDATE.           CP190
          RLD.   7/7/77      UPDATE.                                     CP190
                                                                         CP190
 CMMA017  CORRECT SAVING OF RA+65 IF ERROR FROM FDL.GDE.                 CMMA017
          AM     77/07/21    LOV                                         CMMA017
 CMMA023  PROBLEM - WHEN REARRANGING MEMORY CMM IS COUNTING A FIX BLOCK  CMMA023
          TWO TIMES.                                                     CMMA023
          SOLUTION - DO NOT ADD FIX BLOCK SIZE TO TOTAL ON FINAL CALL    CMMA023
          TO CMM.AFR                                                     CMMA023
                                                                         CMMA023
          SM     11/28/77    CMMVAF,GXV                                  CMMA023
 CMMA026  PROBLEM - CMM DOES NOT DETECT FREE BLOCK RELEASED              CMMA026
          BY OVERFLOW SUBROUTINE AND ABORTS RUN                          CMMA026
          SOLUTION - IF NOT ENGOUH FL AVAILABLE TO INCREASE FREE         CMMA026
          REGION MAKE ONE MORE *EASY* ATTEMPT BEFORE ABORTING            CMMA026
                                                                         CMMA026
          SM     11/28/77    ALF,POE                                     CMMA026
UPD*78.   UPDATE COPYRIGHT NOTICE FOR YEAR 1978 IN UPDATE.               UPD*78 
          JEG.   77/07/26.   UPDATE.                                     UPD*78 
                                                                         UPD*78 
UPD0315.  CORRECTIVE CODE ENSURES THAT THE SELYANK DIRECTIVE PERFORMS    UPD0315
          PROPERLY WHEN SELYANKING AN IDENT IN THE YANKDECK.             UPD0315
          RLD.   10/25/77.   UPDATE.                                     UPD0315
                                                                         UPD0315
UPD0329.  THIS CODE ENSURES THAT THE FIRST CARD OF THE INPUT FILE        UPD0329
          HAS THE CORRECT CHARACTERS PRECEDING IT WHEN IN APPEARS        UPD0329
          IN THE UPDATE OUTPUT LISTING.                                  UPD0329
          RLD.   10/04/77.   UPDATE.                                     UPD0329
                                                                         UPD0329
UPD0330.  CODE ENSURES THAT A BAD FILE NAME ON AN ADDFILE DIRECTIVE      UPD0330
          WILL BE DIAGNOSED BY UPDATE.                                   UPD0330
          RLD.   09/12/77.   UPDATE.                                     UPD0330
                                                                         UPD0330
 UPD0319. CODE TO CORRECT UPDATE SO THAT COMDECKS WHICH ARE CALLED FROM  UPD0319
          DECKS SPECIFIED ON *COMPILE DIRECTIVES WILL BE AUDITED DURING  UPD0319
          NORMAL UPDATE WHEN AN AUDIT IS BEING PERFORMED.                UPD0319
          JEG.   77/07/14.   UPDATE.                                     UPD0319
                                                                         UPD0319
 UPDA149. THIS CODE PREVENTS UPDATE FROM GENERATING A MODE 1 ERROR       UPDA149
          WHEN IT IS UNABLE TO FIND A COMDECK WHICH WAS CALLED BY        UPDA149
          ANOTHER COMDECK.                                               UPDA149
          JEG.   77/12/01.   UPDATE.                                     UPDA149
                                                                         UPDA149
UPDA164.  CODE ENSURES THAT GARBAGE DOES NOT APPEAR IN THE UPDATE        UPDA164
          OUTPUT LISTING WHEN SOME COMMON DECKS ARE NOT FOUND.           UPDA164
          RLD.   11/14/77.   UPDATE.                                     UPDA164
                                                                         UPDA164
CP190A.   CODE TO REDUCE UPDATES" FIELD LENGTH TO MEET CP190 FEATURE     CP190A 
          SPECIFICATION AND TO SET THE FIRST WORD OF THE SECONDARY       CP190A 
          OLDPL FET TO ZERO TO RESOLVE DUPLICATE FILE NAME CONFLICTS.    CP190A 
          RLD.   07/21/77.   UPDATE.                                     CP190A 
                                                                         CP190A 
CP190B.   CODE ENABLES THE MULTIPLE OLDPL FEATURE TO OBTAIN CARD         CP190B 
          IDENTIFIERS FROM SECONDARY OLDPLS AND ASSIGN THEM TO           CP190B 
          THE CORRESPONDING CARD READ FROM THE SECONDARY OLDPL.          CP190B 
          RLD.   09/23/77.   UPDATE                                      CP190B 
                                                                         CP190B 
 UPDA168. THIS CODE WILL PREVENT TABLES FROM CRASHING WHEN A SECONDARY   UPDA168
          PL IS BEING USED.                                              UPDA168
          RLD,JEG. 77/11/16. UPDATE.                                     UPDA168
                                                                         UPDA168
 UTL*78   UPDATE THE COPYRIGHT TO INCLUDE THE YEAR 1978.                 UTL*78 
          SDM    77/07/29    COPYL,ITEMIZE                               UTL*78 
                                                                         UTL*78 
UTL0055.  ENSURE CORRECTION FILE IS COPIED TO DISK IF ON A TAPE DEVICE.  UTL0055
          ARW.   77/08/31.   COPYL.                                      UTL0055
                                                                         UTL0055
 UTLA031  SPECIAL DEADSTART RECORD NAMES ARE NOW BLANK FILLED            UTLA031
          SDM    77/09/21    ITEMIZE                       PSR           UTLA031
 UTLA039  CHANGES WERE MADE TO THE *IMS* TO REFLECT CURRENT OPERATION    UTLA039
          AND TO CORRECT MINOR OMISSIONS AND ERRORS.                     UTLA039
          SDM    77/10/19    ITEMIZE,COPYL                 PSR           UTLA039
                                                                         UTLA039
 UTLA042  ITEMIZE IS MODIFIED TO ALLOW FOR UP TO 30 SYSTEM LIBRARIES     UTLA042
          WHEN ITEMIZING A NOS/BE DEADSTART TAPE.                        UTLA042
          SDM    77/11/15    ITEMIZE                       PSR           UTLA042
                                                                         UTLA042
 CMMA020  PROBLEM. WHEN MINIMUM INITIAL AVAILABLE FREE SPACE (FLINC)     CMMA020
          IS CHANGED FROM 2000B TO 100B IT WILL CAUSE BLOCK HEADERS TO   CMMA020
          BE CLOBBERED WHEN CORE REACHES HIGH LEVEL OF UTILIZATION.      CMMA020
          SOLUTION. DO NOT USE SAME CODE WHEN REARRANGING VARIABLE SPC.  CMMA020
          IN THE CASE WHERE THE PRIMARY REGION IS SEPARATED FROM THE     CMMA020
          SECONDARY REGION BY A FIXED BLOCK AND THE CASE WHERE THEY      CMMA020
          ARE NOT SEPARATED BY A FIXED BLOCK.                            CMMA020
                                                                         CMMA020
          SM     12/30/77    CMMVAF                                      CMMA020
UPDA165.  CODE ENSURES THAT *IF S ON SECONDARY PLS ARE PROCESSED         UPDA165
          CORRECTLY.                                                     UPDA165
          RLD.   01/03/78.   UPDATE.                                     UPDA165
                                                                         UPDA165
UPDA176.  CODE ENSURES THAT UPDTEXT BUFFER ON SCOPE 2 IS A MULTIPLE      UPDA176
          OF A PRU PLUS ONE. SO AS NOT TO CAUSE SCM DIRECT RANGE ERRORS. UPDA176
          RLD.   01/12/78.   UPDATE.                                     UPDA176
                                                                         UPDA176
UPDA178.  THIS CODE PREVENTS THE DECK BIT FROM BEING SET ON A COMDECK    UPDA178
          ENTRY TO THE NEWPL DECK LIST WHEN INSERTING A COMDECK BY USE   UPDA178
          OF A *BEFORE.                                                  UPDA178
          JEG.   02/10/78.   UPDATE.                                     UPDA178
                                                                         UPDA178
UPDA188.  CORRECTIVE CODE ENSURES THAT A SEQUENTIAL NEWPL CREATED WHEN   CED
          A SECONDARY OLDPL HAS BEEN SPECIFIED WILL ONLY HAVE THE        CED
          IDENT LIST FROM THE PRIMARY OLDPL.                             CED
          RLD.   03/23/78.   UPDATE.                                     CED
                                                                         CED
 *L477*    **************************************************** 
 CMMA028  PROBLEM - *CMM* DOES NOT CLEAR PREVIOUS ERROR CODE CAUSING
          INCORRECT ERROR CODE TO BE ISSUED ON SUBSEQUENT MESSAGES. 
          SOLUTION - CLEAR ERROR CODE FIELD BEFORE STORING ERROR CODE.
  
          SM     12/14/77    CMMR 
 UTL0074  ITEMIZE TRUNCATES MODSET LISTING OF OPL/OPLC RECORDS IF PRINT 
          WIDTH IS LESS THAN 136. 
          SDM    78/02/16    ITEMIZE                       PSR
  
UPDA159.  CODE ENABLES UPDATE TO INTERNALLY MAINTAIN THE DIRECTORY
          IN LCM ON SCOPE 2 SYSTEMS.
          RLD.   02/23/78.   UPDATE.
  
UPDA171.  CODE ENSURES THAT UPDATE PRINTS OUT AN ERROR MESSAGE WHEN 
          THE DIRECTIVE *YANK YANK$$$ IS ENCOUNTERED. 
          RLD.   12/07/77.   UPDATE.
  
UPDA175.  CODE ENSURES THAT WARNING MESSAGES ARE NOT ISSUED WHEN
          CPUTEXT IS SPECIFIED ON THE COMPASS CONTROL CARD FOR
          ASSEMBLING UPDATE.
          RLD.   01/31/78.   UPDATE.
  
UPDA182.  CODE ENSURES THAT IDENTS ADDED TO THE IDENT LIST BECAUSE
          OF THE SEQUENCE DIRECTIVE WILL BE ADDED IN THE CORRECT
          SEQUENCE. 
          RLD.   02/13/78.   UPDATE.
  
UPDA172.  THIS CODE ENSURES THAT IF THE *ADDFILE FILE IS THE MAIN INPUT,
          *ADDFILE PROCESSING WILL NOT BE IMPROPERLY TERMINATED WHEN AN 
          EOR IS ENCOUNTERED ON AN ALTERNATE FILE WHICH ORIGINATED FROM 
          A *READ DIRECTIVE INCLUDED IN THE *ADDFILE TEXT.
          JEG.   05/02/78.   UPDATE.
  
UPD0177.  PROBLEM.  UPDATE DOES NOT ISSUE ERROR MESSAGES WHEN A 
          *READ, *REWIND, OR *SKIP APPEARS IN AN ALTERNATE FILE.
          SOLUTION.  INTRODUCE CODE TO OUTPUT ERROR MESSAGES WHEN 
          ONE OF THE ABOVE CONDITIONS EXISTS. 
          RLD    05/01/78.   UPDATE.
  
UPDA185.  CORRECTIVE CODE ENSURES THAT OVERLAPPING CORRECTIONS
          WILL NOT OCCUR WHEN AN IDENT IS PURGED AND REINTRODUCED 
          IN THE SAME UPDATE. 
          RLD.   05/03/78.   UPDATE.
  
UPDA191.  PROBLEM.  UPDATE GETS LCM DIRECT RANGE WHEN CREATING
          A LARGE NEWPL ON SCOPE 2. THE PROBLEM OCCURS BECAUSE LCM
          IS READ BEFORE THE END OF TABLE CHECK IS MADE, AND THEREFORE
          A READ OF ONE WORD PAST LCM FL IS MADE (OR RATHER TRIED). 
          SOLUTION.  MAKE THE CHECK FOR END OF TABLE BEFORE THE 
          LCM READ IS MADE. 
          RLD.   05/04/78.   UPDATE.
  
UPDA192.  CORRECTIVE CODE ENSURES THAT UPDATE WILL NOT GIVE 
          ERRONOUS CHECKSUM ERRORS ON SCOPE 2 FOR SEQUENTIAL PLS. 
          RLD.   05/04/78.   UPDATE.
  
UPD0341.  CORRECTIVE CODE ENSURES THAT DECKS INSERTED BY OLD STYLE
          ADDFILE DIRECTIVES WILL BE IN THE SAME ORDER AS DECKS ADDED 
          BY THE NEW STYLE ADDFILE DIRECTIVE. THIS CODE REVERSES
          SOME OF THE CODE INTRODUCED BY UPD0260. 
          RLD.   04/13/78.   UPDATE.
  
 UTLA046  ITEMIZE ISSUES BLANK LINE AFTER OVERLAY DIRECTIVE.
          SDM    78/04/06    ITEMIZE                       PSR
  
 UTLA047  ITEMIZE LISTS PURGED IDENTS FROM UPDATE NEWPL.
          SDM    78/04/20    ITEMIZE                       PSR
  
 *L485*    *****************************************************
 F4720CMM THE *MVE=* PROGRAM IS REMOVED FROM THE CMM OLDPL BECAUSE
          IT IS BEING REPLACED BY THE COMMON DECK *CPU.MVE*.
          SM     78/05/02    MVE= 
  
 CMM0021  PROBLEM. AFTER REMOVAL OF RESTRICTION THAT CMM.KIL SHOULD 
          NOT BE CALLABLE FROM A POINTER MAINTANACE ROUTINE 
          THERE IS NO NEED FOR THE SAFE VERSION OF CMM.KIL
  
          SOLUTION. REMOVE DECK CMS.KIL AND UPDATE COMMENTS.
          SM     06/12/78    KIL,CMMSAFE,CMMFAST
 CMMA034  PROBLEM. INCORRECT ERROR MESSAGE ISSUED WHEN THERE IS 
          NO ROOM FOR CMM INTERNAL TABLES.
          SM       4/25/78   CMMR 
  
 CMM0027
          PROBLEM. WHEN REDUCING FIELD LENGTH *CMM* DID NOT UPDATE
          ADDRESS OF LAST BLOCK PROCESSED.
  
          SM     10/15/78    CMMVM
UPDA140.  CODE MODIFIES UPDATE TO OUTPUT A MESSAGE INDICATING 
          WHICH IDENTS WILL NOT BE PROCESSED BECAUSE OF K OR U
          PARAMETERS ON *IDENT DIRECTIVES.
          RLD.   05/12/78.   UPDATE.
  
UPDA143.  THIS CODE PREVENTS ON EOP FROM BEING WRITTEN PRECEEDING THE 
          NEWPL, WHEN THE NEWPL IS BEING WRITTEN ON A LABELED TAPE, 
          DURING AN EDIT RUN ON SCOPE2. 
          JEG.   03/27/78.   UPDATE.
  
UPDA158.  THIS CODE PREVENTS UPDATE FROM WRITTING AN EOR AT THE END OF
          OF THE COMPILE FILE WHEN ONE HAS ALREADY BEEN WRITTEN THERE 
          AS THE RESULT OF A COMPILE FILE DIRECTIVE.
          JEG.   06/01/78.   UPDATE.
  
UPDA163.  PROBLEM.    WHEN UPDATE ENCOUNTERS A PARAMETER (K OR U) 
          ON A *IDENT DIRECTIVE THAT CAUSES THE SKIPPING OF THAT
          CORRECTION SET, UPDATE DOES NOT SEARCH SUBSEQUENT 
          ALTERNATE FILES FOR THE NEXT *IDENT CARD. 
          SOLUTION.    MODIFY UPDATE TO SEARCH FOR *READ DIRECTIVES 
          AS WELL AS *IDENT DIRECTIVES WHEN LOOKING FOR THE NEXT
          CORRECTION SET. 
          RLD.   05/08/78.   UPDATE.
  
UPDA194.  CODE ENABLES UPDATE TO OUTPUT THE DECK LIST AS IT WILL
          APPEAR ON THE SEQUENTIAL NEWPL, IF ONE IS BEING CREATED.
          RLD.   07/06/78.   UPDATE.
  
UPDA199.  CORRECTIVE CODE ENSURES THAT UPDATE WILL NOT GET A
          DUPLICATE MACRO DEFINITION WHEN ASSEMBLING. 
          RLD.   7/13/78.    UPDATE.
  
UPD0321.  CODE TO PREVENT THE *COMPILE OF AN EMPTY DECK FROM CAUSING A
          RECORD MANAGER ERROR DURING A QUICK MODE UPDATE WITH THE K
          PARAMETER SPECIFIED ON THE UPDATE CONTROL CARD. 
          JEG.   05/08/78.   UPDATE.
  
UPD0333.  CODE TO ENABLE UPDATE TO GIVE AN ERROR MESSAGE AND ABORT IF 
          THE MAIN OR ALTERNATE INPUT FILE IS NOT IN AN UPDATE SUPPORTED
          FORMAT WHEN RUNNING ON SCOPE 2. 
          JEG.   05/04/78.   UPDATE.
  
UPD0336.  PROBLEM.    WHEN UPDATE PUTS A NINE CHARACTER DECK NAME 
          INTO A WORD, THERE ARE NOT ENOUGH BITS LEFT TO FORM A 
          ZERO BYTE. THIS CAUSES A COLON TO BE PRINTED INSTEAD. 
          SOLUTION.    ADD ANOTHER WORD TO THE LINE TO BE PRINTED 
          SO THAT THERE WILL BE ENOUGH ROOM FOR A ZERO BYTE.
          RLD.   05/09/78.   UPDATE.
  
UPDA184.  THIS CODE ENABLES UPDATE TO ACCEPT NULL PARAMETERS ON A 
          *ADDFILE DIRECTIVE CORRECTLY. 
          JEG.   08/10/78.   UPDATE.
  
UPDA189.  CODE TO ENABLE UPDATE DYNAMIC FL. MGMT. TO WORK PROPERLY ON 
          SCOPE2. 
          JEG.   08/08/78.   UPDATE.
  
UPDA196.  CORRECTIVE CODE ENSURES THAT LCM FL IS RETURNED TO ITS
          ORIGINAL VALUE AT THE END OF THE UPDATE RUN.
          RLD.   08/03/78.   UPDATE.
  
UPDA204.  CODE TO PREVENT PP CALL ERROR FROM OCCURING DURING AN EDIT RUN
          JEG.   09/14/78.   UPDATE.
  
UPDA209.  CORRECTIVE CODE PURGES IDENT UPDA186 WHICH CAUSED UPDATE
          TO ABORT WHEN UPDATING THE FORTRAN PL WITH A NOT ALL MODS 
          PROCESSED ERROR.
          RLD.   10/27/78.   UPDATE.
  
UPD0349.  CORRECTIVE CODE ENSURES THAT UPDATE WILL PROPERLY PROCESS AN
          OLDPL WHEN THE K PARAMETER IS SPECIFIED ON THE UPDATE 
          CONTROL CARD. 
          RLD    08/11/78.   UPDATE.
  
 *L498*    ************************************************ 
UPD*79.   UPDATE COPYRIGHT NOTICE FOR YEAR 1979 IN UPDATE.
           RLD.  02/28/79.   UPDATE.
  
          COPYL IS MODIFIED TO INCLUDE A NEW OPTION TO THE FIFTH
          PARAMETER OPTIONS, *E*, WHICH WILL CAUSE THE OLD MASTER FILE
          TO BE PROCESSED TO EOI.  EACH EOF ENCOUNTERED WILL CAUSE A
          MATCHING EOF TO BE WRITTEN TO THE NEW MASTER FILE.  WHEN  EOI 
          IS REACHED ON THE OLD MASTER FILE, NEW DECKS WILL BE ADDED
          TO THE NEW MASTER FILE (IF THE *A* OPTION WAS SELECTED), AND
          THEN A FINAL EOF WILL BE WRITTEN TO THE NEW MASTER FILE.
          PLC      2/23/79   COPYL    PSR 
  
UPDA210.  PROBLEM.  PAGE EJECTION DURING AN UPDATE AUDIT LISTING DOES 
          NOT WORK PROPERLY. FIRST ONE FULL PAGE IS PRINTED AND THEN
          ONE LINE IS PRINTED ON THE NEXT PAGE, AND SO ON.
          SOLUTION.   MODIFY UPDATE TO STORE A LEFT JUSTIFIED BLANK 
          FILL DECK NAME AT THE END OF THE CODED LINE INSTEAD OF A
          LEFT JUSTIFIED ZERO FILL DECK NAME. THIS WILL STOP UPDATE 
          FROM STORING A ZERO BYTE AFTER THE DECK NAME AND CAUSING A
          LINE TERMINATOR BEFORE ONE IS DESIRED.
          RLD.   12/04/78.   UPDATE 
  
UPDA215.  CODE MODIFIES UPDATE TO ABORT AND GIVE A FATAL ERROR
          MESSAGE WHEN A CHECKSUM ERROR IS DETECTED.
          RLD    11/08/78.   UPDATE.
  
UPD0344.  CODE TO PREVENT UNCALLED COMMON DECKS FROM BEING AUDITED. 
          JEG.   09/15/78.   UPDATE.
  
 UPD0347. CODE INSURES THAT THE MERGE FILE FIT IS SET TO
          RT=W UNBLOCKED BEFORE IT IS OPENED. 
          JEG.   09/01/78.   UPDATE.
  
UPD0356.  CORRECTIVE CODE ENSURES THAT THE DECKFLG USED FOR SETTING 
          DECK BITS IS CLEARED WHEN A COMDECK IS PRECEDED BY AN 
          INACTIVE DECK CARD. 
          RLD.   10/05/78.   UPDATE.
  
UPD0367.  CORRECTIVE CODE MOVES A FLAG DEFINED BY UPDA172 OUT OF
          AN AREA THAT IS LATER USED FOR THE COMPILE FILES BUFFER.
          RLD.   02/15/79.   UPDATE.
  
 UTLA053. MODIFY COPYL TO USE OS.NAME AND OS.VER TO DETERMINE WHETHER 
          TO USE 7RM OR CIO.
          JEG.   01/11/79.   COPYL. 
  
 UTLA054. MODIFY ITEMIZE TO USE OS.NAME AND OS.VER TO DETERMINE WHETHER 
          TO USE 7RM OR CIO.
          JEG.   01/11/79.   ITEMIZE. 
  
UTLA056.  CORRECTIVE CODE ENSURES THAT COPYL AND ITEMIZE DO NOT 
          RECEIVE DUPLICATE MACRO DEFINITION ERROR MESSAGES BY PUTTING
          IN PURGMACS.
          RLD.   02/22/79.   COPYL,ITEMIZE. 
  
          1979 COPYRIGHT
          DFN    12/27/78    CMMCOM 
 CMMMEM   THIS CODE MAKES THE MEMORY ADJASTMENT ROUTINE INDEPENDENT 
          FROM ROUTINE CMMR SO THAT IT CAN BE SUBSITUTED IF NECESSARY 
  
          SM       10/06/78  CMMR 
 CM00024  PROBLEM. NON STANDARD RELOCATION IN PROGRAM *CMM.ERR* 
          CAUSES FATAL LOADER ERROR IN FDL PROCESSING.
          SOLUTION. CHANGE 60 BIT ADDRESSES IN *CMM.ERR* TO 
          18 BIT ADDRESSES. 
  
          SM     10/05/78    CMMERR 
 CMM0026  EMPTY GROUP TYPE 1 WILL CAUSE A CMM ERROR WHEN LOADING
          AN OVERLAY. 
          CORRECTIVE CODE WILL CAUSE THE ERROR TO BE ISSUED ONLY
          WHEN THE GROUP IS NOT EMPTY.
          SM     CMSLDV      10/06/78 
  
 *L505*    ************************************************ 
 UPDA226. CODE REMOVES CONDITIONAL TESTS REFERING TO *MODEL*
          MICRO SINCE CONDITIONAL CODE IS ACTUALLY DEPENDENT ONLY ON
          THE SYSTEM. 
          JEG.   05/08/79.   UPDATE.
  
UPDA228.  CORRECTIVE CODE ENSURES THAT SECONDARY OLDPL DIRECTORIES
          ARE READ INTO LCM WHEN ON SCOPE 2 AND NOT READ INTO SCM.
          RLD.   05/02/79.   UPDATE.
  
UPDA229   CORRECTIVE CODE FIXES A KEYPUNCH ERROR INTRODUCED BY UPD0333. 
          RLD.   07/06/79.   UPDATE.
  
UPD0375.  CORRECTIVE CODE ENSURES THAT THE SEQUENTIAL NEWPL DECK LIST 
          IS ONLY PRINTED WHEN A SEQUENTIAL NEWPL IS REQUESTED. 
          RLD.   03/12/79.   UPDATE.
  
 CMMA039
          PREVENT ERROR MODE 1 FOR SYSTEM ERROR AT END OF CMM.ALF 
          CAUSED BY FL BEING BELOW HHA WHEN A FIXED POSITION BLOCK IS 
          ALLOCATED 
          DFN    05/11/79    ALF
 CMMA040  PREVENT MONITOR CALL ERRORS, ERROR MODES, ETC. WHEN ASSIGNING 
          GROUP IDS OR ADDING OVERFLOW STACK ENTRIES DUE TO POINTER TO
          NEW POSITION FOR ENTRY BEING INCORRECT.  THIS ERROR MAY SHOW
          UP IN ANY OPERATION AFTER CMM.AGR OR CMM.POE. 
          DFN    06/19/79    CMMCIA 
 CMMA041  PROVIDE METHOD OF NOT SETTING BLOCK LENGTH IN CMM POINTER 
          WORDS FOR VARIABLE POSITION BLOCKS
          DFN    06/27/79    CMMVM
 CMM0030  SET CMM ACTIVE AT START OF INITIALIZATION RATHER THAN AT END
          THIS CAUSED CID TO THINK CMM WAS NOT ACTIVE BEFORE FIRST
          MEMORY REQUEST WAS ISSUED IF BREAKPOINT SET IN CPU.SYS
          DFN    05/07/79    CMMR 
 CMM0032  PREVENT GARBAGE IN ERROR MESSAGE ON 63 CHAR SET SYSTEMS 
          SRN=AARU-CH 
          DFN    06/01/79    CMMR 
 *L508*    ************************************************ 
 CMMA043  CHANGES NEEDED TO RUN CMM ON SCOPE 2
          DFN    09/04/79    CMMMEM,CMMR,KIL,CMMCOM 
 *L518*    ************************************************ 
 CMM*80   UPDATE COPYRIGHT INFORMATION FOR 1980 
          DFN    10/22/79    CMMCOM,CMMR
 CMMA044  FIX NON-STANDARD RELOCATION IN CMM.ALV AND CMMVM
          DFN    09/17/79    CMMVM,ALV
 CMMA045  PREVENT RA+65 SET POSITIVE WHEN LOADING AN OVERLAY
          WHICH IS THE SAME LENGTH AS THE PREVIOUS OVERLAY. 
          THIS CAUSED MODE ERRORS IN QU AND VARIOUS OTHER ERRORS. 
          DFN    12/18/79    LOV
UPD*80.   UPDATE COPYRIGHT NOTICE FOR YEAR 1980 IN UPDATE.
          CJC    5NOV79      UPDATE 
  
 *L525*    ************************************************ 
 F1138CMM 
          FORTRAN CMM INTERFACE ROUTINES
          DFN    11/08/79    MANY 
 CMMA047  PREVENT SIZE FROM BEING SET IN POINTER WORD FOR GLV REQUESTS
          WHEN ROOM IS AVAILABLE WITHOUT MOVING BLOCKS
          DFN    01/21/80    GXV
 CMMA049  CHANGE DIAGNOSTIC ABOUT NOT ENOUGH SPACE FOR CMM INT TABLES 
          DFN    02/22/80    CMMR 
 CMMA050  MAKE ERROR CHECKING VERSION OF CMM TRAP INVALID CHANGES TO
          RA+65 
          DFN    02/14/80    CMMCOM,CMMERR,KIL,CMMMEM,CMMR
 CMMA051
 CMMA051  FIX CMMGOS TO RETURN STATS CORRECTLY
          DFN    03/04/80    FCMMGOS
UPDA173.  CORRECTIVE CODE ENSURES THAT ALL INVALID DECK NAMES ON A
          *COMPILE CARD ARE DIAGNOSED.
          RLD.   01/06/80.   UPDATE.
  
UPDA262.  CORRECTIVE CODE FIXES AN OVERSIGHT INTRODUCED BY PSR
          UPDA172.  THE FLAG INITFIL WAS NOT BEING RESET TO ZERO AT 
          THE END OF AN ADDFILE FROM THE INPUT FILE. THAT WOULD 
          CAUSE *READS FOLLOWING THE ADDFILE TO MISREAD THE LAST
          CARD OF THE READ FILE.
          RLD.   01/20/80.   UPDATE.
  
UPDA264.  CORRECTIVE CODE ENSURES THAT B2 IS SET TO ZERO ON SCOPE 2 
          WHEN CALLING RBIN SO THAT RBIN WILL KNOW NOT TO READ FROM 
          LCM. RBIN READS FROM LCM WHEN B2 IS NON ZERO. THE IDENT 
          DIRECTORY IS KEPT IN LCM ON SCOPE 2 AND B2 IS THE FLAG USED 
          WHEN READING OR WRITING THE DIRECTORY ON SCOPE 2. 
          RLD.   01/19/80.   UPDATE.
  
UPDA270.  THE PROBLEM IS CORRECTED BY INSERTING A LINE THAT WAS 
          SOMEHOW LOST IN THE TRANSMITTAL PROCEDURE.
          RLD.   01/16/80.   UPDATE.
  
 UPD0407. PAGE WAS TOO LONG BECAUSE SPACE AFTER HEADER NOT ACCOUNTED FOR
          WR.    11/16/79.   UPDATE.
  
UPDA272.  THE CORRECTIVE CODE FIXES AN OVERSIGHT ON THE PART OF PSR 
          UPD0407. SINCE UPD0407 ADJUSTS THE LINE COUNT LIMIT 
          WHEN IT IS SET, THERE IS NO LONGER A NEED TO ADJUST 
          IT WHEN IT IS CHECKED AGAINST THE LINE COUNT AT THE END 
          OF UPDATE WHEN THE TOTALS ARE PRINTED OUT.
          RLD.   01/30/80.   UPDATE.
  
UPDA279.  THIS CODE CORRECTS AN OVERSIGHT IN UPD0405.  WHEN A 
          SEQUENTIAL PL IS INVOLVED, YOU GET DOWN INTO WRCOMDK
          WITHOUT A DKLIS TABLE ENTRY FOR EACH COMMON DECK.  IN 
          SUCH A CASE, THE VALUE FOR REGISTER A2, AS RETURNED FROM
          CRDKLIS, IS NOT WHAT WAS EXPECTED.  THIS CODE SETS UP 
          A2 IN CRDKLIS FOR JUST THAT CASE. 
          CAR.   80/03/07.   UPDATE.
  
 UPD0297. CODE TO PREVENT UPDATE FROM INCLUDING A COMDECK ON A SOURCE 
          FILE WHEN AN INACTIVE *CALL IS ENCOUNTERED IN A DECK SPECIFIED
          ON A *COMPILE DIRECTIVE DURING A Q MODE UPDATE. 
          RLD.   01/17/80.   UPDATE.
  
 UPD0301. WHEN A *YANK, *YANKDECK, OR *SELYANK OCCURS IN THE
          MIDDLE OF AN INSERTION, UPDATE WRITES THAT CARD NOT 
          ONLY TO THE YANK$$$ DECK, BUT ALSO IN THE MIDDLE OF 
          THE INSERTED TEXT.  THE REASON FOR THIS IS THAT UPDATE
          ADDS THE *YANK, *YANKDECK, OR *SELYANK TO THE NEXT
          LOCATION ON THE TEXT FILE, WHICH WILL BE AMONG THE
          INSERTION TEXT, AND THERE IS NO WAY TO SUBSEQUENTLY 
          SEPARATE IT.  THE SOLUTION EMPLOYED HERE, ALBEIT IT 
          NOT AN ATTRACTIVE ONE, IS SIMPLY TO SPECIAL CASE INSERTION
          TEXT AS IT IS BEING ADDED.  IF THE INSERTED CARD IS 
          A *YANK, *YANKDECK, OR *SELYANK, AND IF THE DECK TO 
          WHICH IT IS BEING ADDED IS NOT YANK$$$, THEN IT IS
          IGNORED.
          CAR.   79/11/12.   UPDATE.
  
UPD0335.  CORRECTIVE CODE ENSURES THAT UPDATE CHECKS ENTRIES IN THE 
          TABLE TDICT TO SEE IF THEY APPLY TO THE CURRENT DECK
          BEFORE HE ISSUES A DECLARE ERROR MESSAGE. 
          RLD.   01/27/80.   UPDATE.
  
 UPD0340. ALTHOUGH UPDATE ALLOWS EIGHTEEN BIT SEQUENCE NUMBERS, 
          ONLY FIFTEEN BITS ARE USED WHEN COMPUTING AUDIT TOTALS
          (FOR L=6).  THIS CODE DOUBLES THE AUDCNT TABLE, WHICH 
          ALLOWS THIRTY BITS FOR AUDIT TOTALS.
          CAR.   79/11/08.   UPDATE.
  
 UPD0348. WHEN UPDATE IS PURDECKING A DECK AND A *DECK CARD IS READ 
          WITHIN AN ACTIVE *TEXT RANGE, UPDATE TERMINATES THE PURDECK 
          INSTEAD OF OBEYING THE *TEXT RANGE AND IGNORING THE *DECK 
          CARD.  THIS CODE WILL CAUSE UPDATE TO OBEY THE *TEXT RANGE. 
          CAR.   79/11/07.   UPDATE.
  
 UPD0357. WHEN LABELLED TAPES ARE USED BOTH FOR THE OLDPL AND 
          MERGEPL DURING A MERGE RUN, UPDATE GETS A TAPE LABEL
          CONFLICT ERROR.  THIS OCCURS BECAUSE UPDATE USES THE
          INTERNAL OLDPL FET TO READ IN THE MERGEPL, BUT FAILS TO 
          CLEAR THE OLDPL-S LABEL INFORMATION FROM THAT FET.
          THIS CODE CORRECTS THAT PROBLEM.
          CAR.   79/11/08.   UPDATE.
  
 UPD0371. THIS CODE CORRECTS A LITTLE PROBLEM INTRODUCED BY UPD0315.
          THE UPD0315 CODE TRASHES THE NAME OF AN UNKNOWN SELYANKED 
          IDENT PRIOR TO ISSUING THE APPROPRIATE ERROR DIAGNOSTIC.
          THIS CODE HANGS ON TO THAT NAME.
          CAR.   79/11/03.   UPDATE.
  
 UPD0373. UPDATE DOES NOT RECOGNIZE A NULL PARAMETER AT THE 
          BEGINNING OF A *DEFINE DIRECTIVE, SO THAT A DIRECTIVE 
          OF THE FORM *DEFINE ,D WILL NOT RESULT IN THE DEFINITION
          OF D.  THIS CODE CORRECTS THAT PROBLEM. 
          CAR.   79/11/21.   UPDATE.
  
UPD0380. CORRECTIVE CODE ENSURES THAT "DECK" NAMES ON *CALL 
          DIRECTIVES WILL NOT BE PUT INTO THE LIST OF DECKS TO BE 
          PROCESSED AND THEREFORE END UP ON THE COMPILE FILE. 
          RLD    01/27/80.   UPDATE.
  
UPD0381.  THIS PSR FIXES THE PROBLEM OF UPDATE PRINTING GARBAGE IN
          HIS ERROR MESSAGE WHEN AN IDENT NAME IS TOO LONG. 
          RLD.   12/17/79.   UPDATE.
  
 UPD0389. WITH THE ADVENT OF UPDA143, AN EDIT RUN PRODUCING A 
          SEQUENTIAL NEWPL PRODUCES AN INTERMEDIATE NEWPL, BUT
          FAILS TO COPY THAT PL TO -NEWPL-.  THIS CODE CORRECTS 
          THAT PROBLEM. 
          CAR.   79/11/25.   UPDATE.
  
  
 UPD0390  CORRECT PROBLEM WITH DECKNAME ON 2ND LEVEL *CALLS AND WITH
          ALL 3RD LEVEL *CALLS WHEN COMMON DECK IS YET TO BE 796CESSED
          MTK    09/27/79    UPDATE 
  
 UPD0393. THIS CORRECTS AN OMISSION IN UPD0235, PUT IN UPDATE MANY
          MOONS AGO, SUCH THAT WHEN RESCANNING THE FIRST INPUT CARD 
          AFTER CHANGING THE CONTROL CHARACTER, IF THAT CARD
          CAUSES AN END-OF-RECORD (IE, IF IT IS A COMMENT) UPDATE 
          TERMINATES PASS ONE PROCESSING. PRIOR TO THIS FIX, SUCH 
          A LONE COMMENT WOULD CAUSE PASS ONE ERRORS. 
          CAR.   79/11/03.   UPDATE.
  
 UPD0396  Q-MODE *ADDFILE AFTER A COMMON DECK WHICH IS *CALLED BY 
          A COMMON DECK WHICH IS *CALLED FROM THE ADDFILE DECK
          DIDNT PROCESS THE TEXT OF THE FIRST COMMON DECK 
          MTK    79/10/05    UPDATE 
  
 UPD0401. THIS CODE CORRECTS SOME PROBLEMS AND OVERSIGHTS OF
          UPDA185.  FIRST OF ALL, IT CORRECTS THE ERRONEOUS 
          **NOT ALL MODS WERE PROCESSED** ERROR CAUSED BY UPDA185.
          SECOND, IT APPLIES THE UPDA185 CORRECTION TO YANKS, 
          SO THAT YANKED IDENTS WILL NOT CAUSE OVERLAPPING
          CORRECTIONS.  THIRD, IT CAUSES THE UPDA185 CODE TO
          CONTINUE LOOKING TO THE CORRECTION HISTORY BYTE PRIOR 
          TO THE PURGED OR YANKED ONE FOR OVERLAPPING CORRECTIONS.
          A SIDE EFFECT OF THIS CODE IS THAT A CARD ON THE OLDPL
          WHICH DOES NOT CHANGE STATUS DO TO THE PURGING OF ONE 
          IDENT AND INTRODUCTION OF ANOTHER WILL NOT BE LISTED
          IN THE MODIFICATIONS/CONTROL CARDS SECTION.  (FOR 
          EXAMPLE, IF A CARD IS INACTIVE, AND THE IDENT WHICH 
          DELETED IT IS PURGED BUT A NEW IDENT WHICH DELETES IT 
          IS INTRODUCED IN THE SAME RUN, THAT PAIR OF ACTIONS 
          WILL NOT APPEAR UNDER MODIFICATIONS/CONTROL CARDS.) 
          IN THAT RESPECT PURGING AND REINTRODUCING WILL WORK 
          LIKE THE OTHER UPDATE DIRECTIVES (SUCH AS DELETING AND
          RESTORING IN THE SAME RUN). 
          CAR.   79/11/25.   UPDATE.
  
 UPD0405. UPDATE DOES NOT REMEMBER THE FACT THAT A COMMON DECK
          HAS ALREADY BEEN PROCESSED.  THIS BEHAVIOUR IS ACCEPTABLE 
          IN ALL MODES EXCEPT -Q-.  IN -Q- MODE, THIS LACK OF 
          MEMORY CAUSES A PROBLEM WHEN UPDATE RESCANS THE COMMON
          DECKS TO ENSURE THAT ALL WERE PROCESSED.  THE RESULT IS 
          THAT COMMON DECKS ARE BEING WRITTEN TO THE NEWPL TWICE. 
          THIS CODE CORRECTS THAT PROBLEM.
          CAR.   79/11/05.   UPDATE.
  
 UPD0412. CORRECTS GARBAGE IN MESSAGE FOR YANK ID UNKNOWN.
          WR.    12/28/79.   UPDATE.
UPD0413.  CORRECTIVE CODE MODIFIES UPDATE TO SET HEADER MODIFICATION
          BIT IN CORRECTION RUNS AS WELL AS CREATION RUNS.
          RLD.   01/05/80.   UPDATE.
  
 UTL0083  ITEMIZE SHOULD IGNORE DECK BIT FOR SECONDARY
          UPDATE PROGRAM LIBRARIES. 
          SM     11/27/79    ITEMIZE
* 
 COMC*01  REMOVE COMMON-COMMON-DECKS FROM UPDATE PL, AS THEY SHOULD BE
          REFERENCED FROM THE COMPASS PL. 
          MTK    80/01/25    COPYL,ITEMIZE
  
 F4658    ADD 8-BIT CHARACTER CAPABILITY TO UPDATE. 
          THIS FEATURE GIVES UPDATE THE ABILITY TO MAINTAIN OLDPLS THAT 
          CONTAIN ASCII (8 IN 12) AS WELL AS DISPLAY CODE CARD IMAGES.
          LONG LINE SUPPORT (TO 256 CHARACTERS) IS ALSO BEING ADDED UNDER 
          THIS IDENT, AS IS EXTENSIVE CLEANUP IN THE AREA OF I/O. 
          IN PARTICULAR, THE COMMON-COMMON DECKS ARE BEING INCORPORATED 
          IN PLACE OF THE PREVIOUS ROUTINES AND THE USE OF ROUTINE ENTRY
          POINTS AS TEMPORARY VARIABLES IS BEING ELIMINATED.
          MTK     80/02/01    UPDATE
  
 *L528*    ************************************************ 
 F4658A   CORRECT A AND B MODE PROBLEM INTRODUCED BY F4658
          MTK    80/06/05          UPDATE 
 UPDA290  CORRECT MINOR LISTING PROBLEMS INTRODUCED BY F4658
          MTK    80/06/09          UPDATE 
  
 UPDA292  CORRECT SCOPE 2 INTERFACE PROBLEMS INTRODUCED BY F4658
          MTK    80/06/11          UPDATE 
  
 CMMA055  PURGE CMMA048 - WAS NOT DONE FOR RETRANSMITTAL OF 48
          DFN    07/28/80 
 UPDA296  CORRECT HANDLING OF BLANK LINES IN F4658
          MTK    80/07/08          UPDATE 
  
 UPDA302  CORRECT 63 CHARACTER SET PROBLEM INTRODUCED BY F4658
          RAW,MTK  80/07/22            UPDATE 
  
 UPDA304  CORRECT MERGE ERROR INTRODUCED BY F4658 
          RAW      80/07/23            UPDATE 
  
 UPDA310  FIX R PARAMETER FAILURE IN FEATURE F4658
          RAW       80/08/14                   UPDATE 
 UPDA311  FIX MERGE NAME CHANGE PROBLEM 
          RAW      80/08/05            UPDATE 
 UPDA323  MAKE ALL-BLANK CARDS NON-ZERO LENGTH SO DOWNWARD COMPATIBILITY
          WORKS (1.4 TO EARLIER). 
          MTK    80/09/26    UPDATE 
  
 CMMA048  FIX NON-STANDARD RELOCATION IN FRV
          DFN    02/05/80    FRV
 CMMA053  SET CMM ACTIVE BITS IN MEMORY REQUESTS FOR SCOPE 2
          FORMERLY WAS NOT - CAUSED FTN5 TO FAIL WITH SC065 (MEMORY 
          REQUEST INCOMPATIBLE) MESSAGE 
          DFN    06//04/80   CMMMEM,CMMKIL
 UTLA067. MODIFY ITEMIZE TO GIVE MEANINGFUL INFORMATION 
          ON RANDOM UPDATE PROGRAM LIBRARY FILES. 
          AND ADD UPLR TO RECOGNIZED RECORD TYPES IN COPYL. 
          THIS IDENT IS DEPENDENT ON CPSA204 IN COMPASS.
          CJC    26AUG80     ITEMIZE,COPYL. 
  
 *L538*    ************************************************ 
 UPD*81   UPDATE COPYRIGHT INFORMATION TO 1981. 
          RAW      80/07/31            UPDATE 
 UPDA308  FIX EXCESS DATA ON COMPILE FILE FOR SCOPE 2.
          RAW      80/08/01            UPDATE 
 UPDA314  FIX FTN BUILD PROBLEM ON SCOPE 2 CAUSED BY F4658
          RAW       80/08/18            UPDATE
 UPDA319  FIX COMPRESSED COMPILE FILE FOR SCOPE 2 
          RAW      80/09/30            UPDATE 
  
 UPDA326  DONT LOOP ON ERROR MESSAGE WHEN BAD NAME FOUND
          RAW    80/10/17    UPDATE 
  
 UPDA338  FIX EXPANDED COMPILE FILE LINES FOR NON COLON LAST
          CHARACTER EOL TREATMENT 
  
          RAW      80/11/13            UPDATE 
  
 CMM*81   UPDATE COPYRIGHT INFORMATION FOR 1981 
          CJC    22AUG80     CMMCOM,CMMR
  
 CMM0041  CALLS TO CMM.FAF DO NOT RETURN BLOCK LENGTH IN X2 
          DFN    09/18/80    CMMGOA 
 CMM0048  PREVENT ARITHMETIC MODE ERROR FROM CMM.VM WHEN USING
          VARIABLE POSITION BLOCKS AND A CRASH OCCURS AND MANY BLOCKS 
          HAD GROWN SINCE LAST TIME.
          DFN    11/26/80    CMMVM
 UTL*81.  UPDATE THE COPYRIGHT TO INCLUDE THE YEAR 1981.
          CJC    80/08/22    COPYL,ITEMIZE
  
 UTLA066  CHANGE ITEMIZE AND COPYL TO ACCEPT THE NEW VALUE (16) 
          FOR PROC RECORDS CHANGED BY CPS0281 IN CONFORMANCE WITH MACE. 
          CJC    28JUL80     ITEMIZE
  
 UTL0099  ITEMIZE WAS MODING OUT ON CAPSULES LARGER THAN 10000B,
          TRYING TO FIND THE ENTRY POINT LIST.
          THIS CODE CHECKS TO SEE IF THE LIST IS IN THE BUFFER AND
          ISSUES AN APPROPRIATE MESSAGE.
          CJC    30SEP80     ITEMIZE
  
 *L552*    ************************************************ 
 UPDA274  RESET DEFAULT FILE CHARACTERISTICS WHEN EOF 
          ENCOUNTERED ON *READ FILE SO THAT SUBSEQUENT *READ
          NOT ACCOMPANIED BY FILE CONTROL STATEMENT WILL
          USE THE DEFAULT VALUES. 
          RAW      81/03/05            UPDATE 
  
 UPDA282  CORRECT MODE 1 ERROR CAUSED BY NULL ADDFILE.
          RAW      81/04/16        UPDATE 
  
 UPDA336  FIX INFINITE RECALL ON CREATION RUN WITH BAD INPUT
 RAW      81/02/16           UPDATE 
  
 UPDA337  FIX Z OPTION FOR SCOPE 2 TO RECOGNIZE COMPRESSED
          FORMAT ON FIRST READ FROM INPUT.
  
          RAW      80/12/01            UPDATE 
  
 UPDA341  CORRECT PROCESSING OF ABBREVIATED DIRECTIVES IN ADDFILES
          WHEN ADDFILE FROM INPUT.
          RAW      81/02/17        UPDATE 
  
 UPDA343  ENSURE THAT ALL LINES IN A TEXT/ENDTEXT BRACKET ARE 
          INCLUDED IN THE COMPILE FILE, EVEN THOSE WHICH WOULD
          OTHERWISE BE DIRECTIVES.
          RAW      81/03/09            UPDATE 
  
 UPDA353  UPDATE B ON AN 8-BIT PL WAS WRITING AN INVALID OLDPL
          AN ERROR - PREMATURE END OF RECORD ON OLD PROGRAM LIBRARY 
          RESULTS WHEN THE SEQUENTIAL PL IS USED. 
          UPDATE WAS WRITING ONLY THE RECORD HEADER AND NOT THE RECORD
          TWJ.   09/11/81.   UPDATE.
  
 UPDA357  CORRECT ADDFILE USING CARD IDENTIFIER WHICH WAS 
          DISABLED BY UPD0456 CODE. PRESERVE THE EFFECT 
          OF UPD0456. 
          RAW      81/04/01        UPDATE 
  
 UPDA362  CHANGE PL OPEN FOR READ LOGIC TO HANDLE NEW 
          NOS FEATURE CODE. UPDATE ALWAYS OPENS PLS AS
          RANDOM FILES AND THEN FINDS OUT IF THE FILE IS
          RANDOM OR SEQUENTIAL.  NOW IT MUST CHECK FOR
          ERROR RETURN IN AT FIELD IF RANDOM INDEX TOO
          LONG. 
          RAW      81/05/08        UPDATE 
  
 UPD0423  CORRECT COMMON DECK PROCESSING SO THAT COMDECKS 
          ON SECONDARY PLS CAN CALL OTHER COMDECKS FROM 
          THE PRIMARY PL. 
          RAW      81/04/29          UPDATE 
  
 UPD0439  ENSURE THAT ONLY LINES EXPLICITLY SPECIFIED ON
          A DELETE DIRECTIVE WILL BE FLAGGED AS TYPE THREE
          OVERLAPPING CORRECTIONS.  INACTIVE LINES WITHIN 
          A DELETE RANGE WILL NOT BE FLAGGED. 
          RAW      81/04/07        UPDATE 
  
 UPD0440  CORRECT PROCESSING OF PURGE TO ENSURE DECKS 
          CONTAINING PURGED IDENT ARE WRITTEN TO COMPILE. 
          RAW      81/03/20        UPDATE 
  
 UPD0448  CHANGE VOID MACRO TO PROPERLY VOID A CYBER 176 STACK
  
          RAW      80/12/30            UPDATE 
  
 UPD0450   CORRECT MEMORY MANAGEMENT TO PRESERVE THE INTEGRITY
           OF THE DECKS TABLE.
           RAW      81/02/12            UPDATE
  
 UPD0453  RESTORE DECK BIT IN DECK LIST ENTRY ON CREATION RUNS. 
          RAW      81/04/07        UPDATE 
  
 UPD0455  CORRECT TYPOGRAPHICAL ERROR IN FIRST LINE OF
          PAGE FOOTING FOR AUDIT LISTINGS 
          RAW      81/03/19        UPDATE 
  
 UPD0459  FIX CREATION MODE TO MAKE 63 CSET NEWPL IN
          63 CSET ENVIRONMENT.
          RAW    81/03/11          UPDATE 
  
 UPD0463  CORRECT MASTER AUDIT PAGE CONTROL WHICH WAS DISTURBED 
          BY F4658 AND CORRECT SOME ORIGINAL SIN IN THE SAME
          AREA. 
          RAW      81/03/25        UPDATE 
  
 UPD0464  CHANGE UPDATE BACK TO 1.3 METHOD OF WRITING EOR AFTER 
          RANDOM PL DIRECTORY INSTEAD OF EOF DONE BY 1.4. 
          RAW      81/03/17        UPDATE 
  
 UPD0465  ELIMINATE MODE 1 ABORT WHEN A DEFINE DIRECTIVE
          HAS A PARAMETER LONGER THAN NINE CHARACTERS.
          RAW      81/03/18        UPDATE 
  
 UPD0467  ENSURE THAT A FATAL ERROR OCCURS WHEN A NONEXISTENT 
          DECK NAME APPEARS ON A COMPILE DIRECTIVE AND LIST 
          OPTION 1 IS NOT SPECIFIED.
          RAW      81/03/25        UPDATE 
  
 UPD0468  CORRECT IDENT CHANGE PROCESS TO ENSURE A DEFINITE 
          UNIQUE IDENT NAME.
          RAW      81/03/25        UPDATE 
  
 UPD0472  ENSURE THAT R PARAMETER IS HONORED ON A AND B MODE
          UPDATE. 
          RAW      81/04/06      UPDATE 
  
 UTLA065. ITEMIZE WAS CONTINUING ACROSS *EOF*S LOOKING FOR OPLD 
          IN THE CASE OF *ULIB* RECORDS.  IF OPLD WAS MISSING, THE REST 
          OF THE RECORDS WERE NOT LISTED. 
          CJC    16FEB81     ITEMIZE
  
 UTLA072. SUPPRESS CARRIAGE CONTROL WHEN PRINTING TO CONNECTED
          FILE. 
          CJC    9FEB81      ITEMIZE
  
 UTLA063. AN EXPLICIT REWIND WAS ADDED TO ITEMIZE BY UTLA040
          WHEN THE OPEN (NOSBE) MACRO DID NOT WORK CORRECTLY. 
          THIS CAUSED THE LABEL INFORMATION TO NO LONGER BE IN
          THE FET AND LABELLED TAPES WERE REPORTED **UNLABELLED** 
          BY ITEMIZE.  THIS CODE PURGES UTLA040.  THE OPEN MACRO
          WAS FIXED BY NB02899. 
          CJC    9FEB81      ITEMIZE,COMCGFL
  
 UTL0070. PROBLEM - ITEMIZE USES WRONG RECORD COUNT ON *EOF WITH DATA*
          SOLUTION - REMOVE RECORD NUMBER ADJUSTMENT. 
          CJC    10FEB81     ITEMIZE
  
 UTL0093. COPYL WAS OCCASSIONALLY REPORTING INCORRECT NAME BEING
          COPIED IN DAYFILE MESSAGE, *COPYING -- TYPE/NAME*.
          THIS CODE ISSUES MSG CALL WITH RECALL.
          CJC    11FEB81     COPYL
  
 UTL0097. CHANGE SCOPE 3.4 IN SDR RECORDS TO NOS/BE.
          CUSTOMER RECOMMENDED CODE.
          CJC    25NOV80     ITEMIZE
  
 UTL0101. ITEMIZE TRUNCATES *DECK LIST* HEADER WHEN PW=72.
          THIS CODE MAKES ALL UPL HEADERS 7 WORDS LONG SO WHEN
          WOF ROUTINE GUARANTEES ZERO BYTE TERMINATOR IN LINE+6 
          THE FOLLOWING MESSAGE DOES NOT GET OVERWRITTEN. 
          CJC    12FEB81     ITEMIZE
  
 UTL0102. TEST FOR FILE NAME TOO LONG IN COPYL. 
          CJC    23FEB81     COPYL
  
 CMMA059  CALL INTERFACE CMMGSS DOES NOT RETURN ANY STASTICS
          DFN    03/24/81    FCMMGSS
 CMM0043  PREVENT GROUP 1 ACTIVE DIAG ON SAFE VERSION WHEN GROUP EMPTY
          AND CMM.LDV CALLED (NOT CMM.LOV)
          CAUSED BY CMM0026 BEING INSERTED IN WRONG PLACE IN LDV
          SRN=ABRH-554
          DFN    11/12/80    LDV
 CMM0044  CALL TO CMM.OP4 WHICH COMPACTS DYNAMIC AREA IF NO FREE REGION 
          EXISTS OR IF NEW FREE REGION WILL BE EMPTY RESULTS IN VARIOUS 
          ABORTS
          DFN    11/12/80    CMMR 
 CMM0046  CHANGE MEMORY OVERFLOW MESSAGE TO MAKE SENSE
          DFN    12/17/80    CMMR 
 CMM0049  PREVENT NON-STANDARD RELOCATION IN CMM.POA AND CMM.POE
          DFN    02/02/81    CMMPOA,POE 
 CMM0052  PREVENT ABORT IF SAFE VERSION (CHECKING) OF CMM AND REDUCE(-) 
          IN FRONT OF JOB 
          DFN    04/29/81    CMMR 
 *L564*    ************************************************ 
 UPD*82   UPDATE COPYRIGHT INFORMATION TO 1982. 
          PJR      81/09/01            UPDATE 
 UPDA344  ADD OLDPL CHECKSUM DIAGNOSTIC TO OUTPUT LISTING 
          AS WELL AS DAYFILE. 
          RAW      81/05/18        UPDATE 
  
 UPD0438  CLEAR OLDPL FET LABEL AREA BEFORE OPENING MERGEPL,
          WHICH USES THE SAME FET, IN CASE BOTH ARE LABELED 
          TAPE FILES.  OTHERWISE LABEL CONFLICTS WILL OCCUR.
          RAW      81/04/17          UPDATE 
  
 UPDA368  IN SETTING UP THE FET FOR THE MERGE PL PROCESSING,
          UPDATE WAS ZEROING FET+15 WHICH IS THE FIT POINTER ON A 
          SCOPE 2 SYSTEM.  MAKE CODE CONDITIONAL ON NOT SCOPE 2.
          TWJ.   09/10/81.   UPDATE.
  
 UPDA373  A COLON IN A *COMPILE STATEMENT CAUSES UPDATE 
          TO LOOP PRINTING INVALID DECK NAME MESSAGES.
          - INSTEAD IT SHOULD PRINT AN INVALID CONTROL STATEMENT
          MESSAGE.
          TWJ    08/06/81    UPDATE 
  
 UPDA387  UPDATE WAS DEFAULTING THE INPUT FILE TO ASCII IF NOT SPECIFIED
          AND THE FIRST CHARACTER WAS AN ASCII CONTROL CHARACTER.  THIS 
          INCLUDED SETTING THE NOS/BE TERMINAL TO ASCII IF I6 WAS NOT 
          SPECIFIED. THIS CAUSES PROBLEMS WHEN THE USER INTENDS TO DO 
          A *READ OF A DISPLAY CODE FILE FROM THE TERMINAL AND DEFAULTS 
          INPUT.  CHANGE DEFAULT OF TERMINAL TO DISPLAY AND REQUIRE 
          USER TO SPECIFY I8 FOR ASCII. 
          TWJ    01/29/82    UPDATE 
  
 UPD0449  ADD CODE TO DIAGNOSE UNMATCHING TEXT/ENDTEXT
          DIRECTIVES. 
          RAW      81/05/13        UPDATE 
  
 UPD0483 REIMPLEMENT W TYPE RECORD CAPABILITY FOR SCOPE 2 
         WHICH WAS DISABLED BY F4658 TO THE EXTENT THAT DATA
         LINES COULD NOT HAVE EITHER TRAILING OR EMBEDDED 
         WORDS OF COLONS. INVOLVES ALL FILES WHICH CAN BE 
         SPECIFIED OR DEFAULTED BY THE USER.  CORRECTION
         USES CONTROL WORDS SAVED IN WCW AND GENERATED IN 
         UCW. 
          TWJ      81/07/27        UPDATE 
  
 UPD0483  TWO PROBLEMS WERE FOUND IN TESTING UPD0483. 
          FIRST - UPDATE COULD PUT PAGE HEADINGS IN THE WRONG PLACE 
          SECOND - 8 WORD INPUT LINES WOULD CAUSE UPDATE TO LOOP
                   PRINTING OUTPUT FILE.
          TWJ    07/27/81          UPDATE 
  
 UPD0483B CODE FOR UPD0483 BROKE UPDATE FOR NON SCOPE2 SYSTEMS
          FOR L=3 THE IDENT INFORMATION WAS LOST IF THE LINE
          WAS NOT 10N+9 OR 10N IN LENGTH
          WHEN READING A 1.3 PL - A LINE OF 80 BLANKS WOULD BE
          TREATED AS A LINE OF 81 BLANKS
          A DELETE OF A RANGE DOES NOT PRINT THE *DELETE CARD 
          CORRECTLY - THE IDENTS AND SEQUENCES WERE NOT PRINTED 
          TWJ    07/28/81     UPDATE
  
 UPDA372  UPDATE 1.4 WITH UPD0483 COULD PUT GARBAGE IN COL
          81-90 OF THE COMPILE FILE IF THE OLDPL WAS AN UPDATE
          1.3 PL - UPDATE TRIED TO WRITE A 9 WORD 60 UNUSED BIT 
          LONG RECORD.
          TWJ    08/04/81    UPDATE 
  
 UPD0484  CHANGE CHARACTER TRANSLATION TABLES TO SUPPORT
          DISPLAY CODE TO AND FROM ASCII CODE CONVERSION
          ON 63 CHARACTER SET SYSTEMS.
          RAW      81/05/05        UPDATE 
  
 UPD0494  UPDATE DID NOT SET ASCII MODE FOR CONNECTED INPUT 
          FILE ON NOS/BE.  CODE SETS THE FET ASCII BITS.
          TWJ    10/06/81  UPDATE 
  
 UPD0498  A BLANK ASCII LINE BECOMES A NULL ASCII LINE WHEN 
          UNPACKED FROM OLDPL.  INSURE NULL LINE IS WRITTEN AS ONE BLANK. 
          TWJ.   09/15/81.   UPDATE 
  
 UPD0507  IF AN ABBREVIATED DIRECTIVE WAS EXACTLY N*10 CHARACTERS 
           UPDATE WOULD TACK ON PART OF A PREVIOUS LONG 
          LINE TO THE END OF THE DIRECTIVE.  UPDATE WOULD THEN EXPAND 
          THE DIRECTIVE AND DIAGNOS IT AS AN ERROR.  FIX CONV8TO6 
          TO ENSURE A ZERO BYTE TERMINATOR IS IN SQIMAGE. 
          TWJ    10/09/81    UPDATE 
  
 UPD0508  UPDATE TRUNCATED LINES TO 10 CHARACTERS THAT WERE COPY'D
          FROM AN 8-BIT OLDPL DUE TO STORING A NEGATIVE LENGTH. RESTORE 
          POSITIVE LENGTH.
          TWJ    10/09/81    UPDATE 
  
 UPD0509  8-BIT FEATURE CODE SET A FLAG IN THE LENGTH FIELD 
          OF THE RECORD IN SAVECARD AND FAILED TO CLEAR IT BEFORE 
          THE MOVE. THUS TOO MANY CHARACTERS WERE MOVED AND A MODE ERROR
          SOMETIMES RESULTS.  UPDA328 TRIED TO FIX THE PROBLEM BUT
          CLEARED THE BIT PERMANENTLY INSTEAD OF JUST FOR THE MOVE. 
          THIS CODE CLEARS THE BIT FOR THE MOVE - LEAVING IT FOR
          RESBEF TO USE TO DETECT 8-BIT LINE. 
          TWJ    10/13/81    UPDATE 
  
 UPD0530  THIS IS ADDITIONAL CODE TO CLEAN UP THE OUTPUT
          FILE ON SCOPE 2 SYSTEMS.  JUNK IS REMOVED FROM ADDFILE LINES, 
          FROM DELETE OF RANGE LINES, AND FROM AUDIT FILE OUTPUT. 
          TWJ.   09/15/81.   UPDATE.
  
 UPD0539  FIX UPDATE TO HANDLE OLD TYPE BLANK RECORD FROM OLDPL 
          I.E. A RECORD THAT IS A SINGLE ZERO WORD ON THE PL
          TWJ    11/05/81    UPDATE 
  
 CMM*82   UPDATE COPYRIGHT INFORMATION FOR 1982 
          DFN    09/10/81    CMMCOM,CMMR
 CMMA064  ASSEMBLE OUT CODE FOR LOV IF SCOPE 2
          DFN    08/26/81    LOV
 UTL*82.  UPDATE THE COPYRIGHT TO INCLUDE THE YEAR 1982.
          CJC    81/07/27    COPYL,ITEMIZE
  
 UTLA078. THIS CODE ADDS A CHECK FOR NEGATIVE NUMBER OF 
          DECKS IN *UPL* PROCESSING, WHICH INDICATES GARBAGE IN 
          OLDPL HEADER, AND ISSUES THE APPROPRIATE MESSAGE. 
          CJC    10JUN81     ITEMIZE
  
 UTLA080. COPYL WAS SETTING THE LWA+1 INCORRECTLY BEFORE
          CALLING *COMCSRT*.
          CJC    25SEP81     COPYL
  
 UTL0087. ITEMIZE INCORRECTLY DIAGNOSES RECORDS THAT START
          WITH INCOMPLETE 77 TABLES.  THIS CODE CORRECTS
          ITEMIZE TO RECOGNIZE LEGITIMATE 77 TABLES.
          THIS CODE IS DEPENDENT UPON CPS0323 TO WORK CORRECTLY.
          CJC    5AUG81      ITEMIZE
  
 UTL0111. THE MASK USED FOR REPLACEMENT TYPES IN *COPYL* IS 
          MISSING RECORD TYPE 2 *COS*.
          THIS CODE ADDS RECORD TYPE 2 TO THE MASK. 
          CJC    21JUL81     COPYL
  
 *L577*    ************************************************ 
 UPDA360  UPDATE(B,E) WAS NOT IGNORING THE E PARAMETER
          SO IT WOULD WRITE THE NEWPL TO UPDTNEW AND THEN BECAUSE 
          IT WAS AN UPDATE B IT WOULD SKIP THE END PROCESSING 
          THAT COPYIED THE UPDTNEW FILE TO THE NEWPL.  THIS 
          CODE CLEARS THE EDITFLAG FOR UPDATE B.
          TWJ    11/19/81    UPDATE 
  
 UPDA381  UPDATE THE DIAGNOSTICS IN UPDATE TO REMOVE THE
          WORD CARD AND REPLACE IT WITH DIRECTIVE OR LINE.
          TWJ    12/15/81    UPDATE 
  
 UPDA383  ADD COMMENT LINE TO UPDATE TO INDICATE VERSION
          AND FUNCTION
          TWJ    01/11/82    UPDATE 
  
 UPDA384  UPDATE CHECKED FIRST WORD OF THE RECORD FOR ZERO
          TO DECIDE IF RECORD WAS 6-BIT OR 8-BIT, BUT IF FIRST WORD 
          WAS ALL SEMI-COLONS IT IS NEGATIVE ZERO AND TOOK THE WRONG
          PATH. 
          TWJ    01/27/82    UPDATE 
  
 UPDA397  PRNTCARD WAS BLANKING OUT THE EOL TERMINATOR
          IN THE CARD BUFFER SO THAT LATER WHEN THE COMPILE FILE
          WAS WRITEN ON CREATION RUNS GARBAGE WAS ADDED TO THE
          END OF THE LINE.
          DEPENDENCY=UPD0483B 
          TWJ    82/06/03    UPDATE 
  
 UPD0387  THE ERROR COMDECK NOT FOUND RESULTS WHEN AN IF
          DOES NOT HAVE A CORESPONDING ENDIF AND THE COMDECK IS 
          NOT MENTIONED ON A *C DERECTIVE.
          CLEAR THE QUALIF FLAG BEFORE STARTING THE SECOND PASS 
          TO FIND OUT OF ORDER COMDECKS.
          TWJ    11/24/81    UPDATE 
  
 UPD0482  WHEN UPDATE READS A 6-BIT CARD FROM THE UPDTSCR 
          FILE AND WRITES IT TO AN 8-BIT COMPILE FILE ITE 
          FAILS TO CLEAR THE PREVIOS 8-BIT LINE IMAGE AND SO
          THE PREVIOUS 8-BIT IMAGE IS REPEATED. 
          TWJ    12/18/81    UPDATE 
  
 UPD0523  UPDATE WAS ISSUING A CLEAR OF THE OUTPUT FILE 
          WHEN IT DECIDED IT HAD THE FIRST *ID OF A CORRECTION
          RUN.  THIS IS WRONG BECAUSE A CALL TO READCD WAS DONE 
          TO DETERMINE IF THE FIRST CARD WAS A *DECK OR *COMDECK. 
          READCD CAN PROCESS ANY NUMBER OF CARDS (COMMENTS, DECLARE,
          LIST ...) AND WRITES THEM TO OUTPUT BEFORE THIS CALL. 
          THE PURPOSE OF THE CLEAR WAS TO PUT THE WRITE FUNCTION CODE 
          IN THE FET, BUT THIS IS NOT NECESSARY SO IT IS DELETED. 
          TWJ    11/16/81    UPDATE 
  
 UPD0532  AN ASCII LINE THAT ENDED IN AN AT-CHARACTER WOULD 
          HAVE THE AT-CHARACTER CHANGED WHEN WRITTEN TO THE COMPILE 
          FILE.  REPLACE THE PAD8 ROUTINE WITH A SMALLER CORRECT VERSION
          STOLEN FROM CRM.
          TWJ    10/19/81    UPDATE 
  
 UPD0542  UPDATE WAS WRITTING ASCII LINES TO AN O8 FILE BY PASSING
          THE NUMBER OF ASCII CHARACTERS TO 7RM.
          IT SHOULD PASS THE NUMBER OF 6-BIT CHARACTERS OR TWICE
          AS MUCH.  THIS CODE CHANGES THE CALL PUT TO A CALL PUTW 
          AND PASSES THE WORD COUNT.
          IT ALSO UPS THE MRL ON THE SCOPE 2 FILE TO 230 CHAR., 
          AND CLEANS UP SOME CODING ERRORS IN THE PRNTASC ROUTINE.
          TWJ    10/22/81    UPDATE 
  
 UPD0562  FIX UPDATE TO WRITE THE COMPILE FILE USING THE
          PROPER ZERO BYTE FORMAT.  FOR SCOPE 2 AN EQUIVALENT OF THE
          COM COMDECK COMCWTH IS SUPPLIED AS COMPASS DOESNT SUPPORT IT
          THERE.
          TWJ    03/03/82    UPDATE 
  
 UPD0565  CORRECT SCOPE 2 COMPILE FILE LINE LENGTH BROKEN BY UPD0483
          AND UPD0483B. 
          DEPENDENCY=F4658,UPD0483
          SCC    82/06/07    UPDATE 
  
 UPD0567  UPDATE HAS NOT BEEN FLAGGING CONTINUATION LINES ON THE
          OUTPUT FILE.  SINCE THE NEW LONG LINES FEATURE IT IS NOW
          OFTEN NECESSARY FOR UPDATE TO LIST ONE UPDATE LINE AS TWO OR
          MORE LINES ON OUTPUT. THIS CODE CHANGES UPDATE TO USE THE 
          STANDARD FOUR > SIGNS TO FLAG A CONTINUATION LINE.
          TWJ    022482    UPDATE 
  
 UPD0572  UPDATE INTERMITTENTLY WROTE GARBAGE TO THE COMPILE
          FILE BECAUSE THE FILE WAS NOT RECALLED BEFORE THE BUFFER
          WAS USED FOR OTHER PURPOSES.
          TWJ    03/16/82    UPDATE 
  
 UTLA081  THE TEST FOR PURGED UPDATE IDENTS IN *LEP* CAUSED SOME
          *CAP* ENTRY POINTS NOT TO BE LISTED.  CODE PLUGS TEST 
          ONLY FOR *UPL* CORRECTION HISTORY LISTING, THEN 
          UNPLUGS TEST WHEN FINISHED. 
          DEPENDENT UPON UTLA047 AND UTL0008. 
          CJC    9MAR82      ITEMIZE
  
 UTLA082  MAKE ITEMIZE CHECK FOR NOS/BE DEADSTART RECORDS KEYING
          ON *TEXT* RATHER THAN *COS* TYPE RECORDS. 
          ALSO ADD *PSRLEVEL* MICRO TO IDENTIFY WHAT LEVEL
          OF *ITEMIZE* IS BEING USED. 
          CJC    23MAR82     ITEMIZE
  
 UTL0088. *IP.PS* AND *IP.PD* WERE NOT BEING USED CORRECTLY IN
          ITEMIZE.  THIS CODE CORRECTS THE USE OF *IP.PD*, AND
          ENABLES ITEMIZE TO USE *IP.PS*. 
          CJC    30DEC81     ITEMIZE
  
 UTL0120  TEACH COPYL THE DIFFERENCE BETWEEN CAPS AND OVCAPS. 
          DEPENDENT UPON UTLA067,UTLA066 AND UTL0111. 
          DEPENDENT UPON CPS0345 ON COMPASS PL (COMMON DECKS).
          CJC    11MAR82     COPYL
  
 UTL0121  TEACH ITEMIZE WHAT TO DO WITH *OVCAP* TYPE RECORDS. 
          DEPENDENT UPON CPS0345 GOING INTO *COMCSRT* ON COMPASS PL.
          CJC     9MAR82      ITEMIZE 
  
 CMM0026  REMOVE NON-STD RELOCATION IN CMM.PUA DND CMM.SUA
          DFN    11/12/81    CMMPUA,SUA 
 *L587*    ************************************************ 
 CMMA067  CHECK BLOCK SIZE ON INPUT TO CMMGLF FOR A NEGATIVE NUMBER 
          IN LOWER 18 BITS.  ALSO CHECK IN CMMALF FOR NEGATIVE. 
          DFN    82/08/05    ALF, GLF 
  
 CMMA069  CHANGE OWNCODE ERROR PROCESSING SO THAT (A0) IS 
          RESTORED PRIOR TO TAKING THE OWNCODE ERROR EXIT.
          AXM    82/12/21    CMMEC, CMMR
  
 CMMA070  CHANGE *CMM.ALF* TO GIVE MEMORY ERROR 2 IF THE SIZE OF
          THE REQUESTED BLOCK, INCLUDING THE BLOCK HEADER, IS 
          LARGER THAN 377777B.
          AXM    82/11/19    ALF, CMFALF, CMSALF
  
 CMM0059  CHECK UTILIZATION LEVEL IN CMM.GFS. 
          DFN    82/08/09    GFS, CMMR
  
 CMM0062  CHANGE THE SAFE VERSION OF *CMM.ALF* SO A USER
          ERROR WILL BE ISSUED INSTEAD OF THE CPU ERROR EXIT IN THE 
          CASE OF FAILURE AFTER THE CALL TO *ALFE* WITHIN *ALFH*. 
          AXM    82/08/31    CMMCOM, ALF, CMMERR
  
 CMM0063  CORRECT THE FOLLOWING PROBLEMS IN *CMMOWN* -- 
           (1) THE USER OWN-CODE ADDRESS IS INCORRECTLY FETCHED.
           (2) *QQQERQ* IS ERRONEOUSLY EXPECTING *CMM* TO CALL IT 
               BY A RETURN JUMP, INSTEAD OF A LONG JUMP.
           (3) IN-LINE CODE MODIFICATION IS BEING DONE WITHOUT
               CLEARING THE STACK.
           (4) THE USER OWN-CODE PROGRAM IS NOT PASSED THE APT-LIST 
               POINTER IN (A1). 
           (5) THERE IS NO PROVISION FOR RETURN, IN CASE THE USER 
               OWN-CODE PROGRAM RETURNS TO *QQQERQ*.
          AXM    82/11/05    FCMMOWN
  
 CMM0065  FIX ERRORS IN *CMMGBI* (FORTRAN INTERFACE ROUTINE), 
          SO THAT SIZE-CODE, GROUP-TYPE, AND GROUP-ID ARE 
          PROPERLY STORED FOR CALLING PROGRAM.
          AXM    82/11/19    FCMMGBI
  
 CMM0067  CORRECT THE SETTING OF BLOCK-SIZE FOR FIXED BLOCKS
          ON CALLS TO *CMM.FWA*.
          AXM    82/11/19    TY4, CMFTY4, CMSTY4
  
 CMM0069  CORRECT *CMMLOV* (FORTRAN INTERFACE ROUTINE) SO 
          IT WILL RETURN THE CORRECT VALUE FOR OVERLAY FWA. 
          AXM    82/11/19    FCMMLOV
  
 UTLA085  RECOGNIZE NEW DEADSTART RECORD NAMES FOR NOS R6.2.
          DEPENDENCY=UTL0001,UTLA039
          DKE    82/12/14    ITEMIZE
  
 *L601*    ************************************************ 
 UPDA404  PROVIDE SYSTEM DEFINED DYNAMIC PAGE SIZE SUPPORT. 
          USES COMDECK *COMCCPM* ON THE COMPASS PL TO INTERFACE 
          WITH THE NOS *CPM* FUNCTION *GETPAGE*.
          MAKE *UPDATE* CONSISTANT WITH *MODIFY*  WITH RESPECT
          TO CONNECTED FILE - LIST OPTION FOR TTY CONNECTED FILES 
          IS NOW ERRORS ONLY (L=1)
          DEPENDENCY=UPD0407,F4658,UPD0049,VER20,UPD0116,UPDA272
          DEPENDENCY=UPDA194,UPD0463
          ASD/RRR 82/06/27   UPDATE 
  
 UTLA087  PROVIDE SYSTEM DEFINED DYNAMIC PAGE SIZE SUPPORT. 
          USES COMDECK *COMCCPM* ON THE COMPASS PL TO INTERFACE 
          WITH THE NOS *CPM* FUNCTION *GETPAGE*.
          ALSO FIXES THE FOLLOWING -
          1. PRINT DENSITY WAS BEING OUTPUT TO A TERMINAL 
             BUT NOT TO THE LINE PRINTER FILE.
          2. SOME PRINT LINES WERE BEING CHOPPED, E.G. (00)  SUM..... 
          DEPENDENCY=UTLA039,UTL0088,CP166A,UTL0023,UTLA072 
          DEPENDENCY=CP166,UTL0101
          ASD/RRR 82/04/20   ITEMIZE
  
 UTL0133  CHANGE TEST FOR COMPILATION ERROR TYPE RECORD FROM COS TO TEXT. 
          CJC    83/04/09    COPYL
  
 *L617*    ************************************************ 
 CMM0070  CMM.VM/CMM.PMV.  ON 800-SERIES WITH VERY LARGE FIELD LENGTHS, 
          IT IS POSSIBLE FOR A FIELD LENGTH REDUCTION TO BE ERRONEOUSLY 
          ISSUED BY CMM.PMV WHEN THE INTENT WAS TO ISSUE A FIELD LENGTH 
          INCREASE.  THIS RESULTS IN MODE ERRORS OR OTHER STRANGE 
          RESULTS, AND HAPPENS WHEN A VARIABLE BLOCK REGION IS
          PRESENT WHICH IS SO LARGE THAT THE COMPUTED THRESHOLD VALUE 
          IS LARGER THAN THE VALUE OF *FLINK*.  THE ERROR WAS IN USING
          *FLINK* IN THE COMPUTATION OF THE ACTUAL FL INCREASE IN THE 
          SAME WAY THAT THRESHOLD WAS USED WHEN FIRST DETERMINING 
          WHETHER OR NOT TO DO THE INCREASE.  THIS CODE CORRECTS THE
          PROBLEM BY ALSO ADDING THE VALUE OF THRESHOLD INTO THE
          FL INCREASE AMOUNT. 
          AXM    83/08/15    CMM.VM 
  
 UTLA089  CORRECT SYSTEM PAGE SIZE FETCHED FROM DEFAULT ON
          SCOPE 2 SYSTEMS.
          DEPENDENCY=UTLA087
          PFK/CJC 83/10/05   ITEMIZE
  
 UTLA090  IN *ITEMIZE*, MAKE CALLS TO *COMCSTF* CONDITIONAL.
          ON SCOPE 2 THERE ARE NO TERMINALS, SO THE CALL IS 
          UNNECESSARY AND IN SOME CASES CAUSE AN RM160 ERROR. 
          CJC    84/01/20    ITEMIZE
  
 *L628*    ************************************************ 
 UPD0594  BECAUSE OF A TYPO, UPDATE CREATES AN EMPTY LINE AT
          THE END OF A COMDECK IN THE CASE OF AN ADDFILE WITH A READ. 
          CUSTOMER SUPPLIED CODE WAS USED.
          DEPENDENCY=UPD0530
          KJM    83/10/31    UPDATE 
  
 UPD0623  ON AN ADDFILE, UPDATE COMPARES A ZERO-FILLED LFN TO A 
          BLANK FILLED LFN.  CORRECT IT TO COMPARE TWO BLANK-FILLED 
          LFNS. 
          KJM    83/10/28    UPDATE 
  
 UPD0644  TRAILING BLANKS ARE LOADED INTO THE WRONG REGISTER. 
          THIS CAUSED TRAILING COLONS NOT TO BE PRINTED.
          DEPENDENCY=F4658
          KJM    83/10/31    UPDATE 
  
 CMMA071  ADD *CMM.MFL* FUNCTION TO ALLOW SPECIFYING A VALUE FOR
          *MAXFL* WHICH IS LESS THAN THE TRUE VALUE.
          NEWDECKS=MFL,CMFMFL,CMSMFL,FCMMMFL
          AXM    84/02/21    CMMCOM, MFL, OPA, CMMERR, CMMR 
                             CMFMFL, CMSMFL, CMFOPA, FCMMMFL, FCMMOP1 
  
 UTLA091  CHANGE WORDING OF THE *ITEMIZE* DIAGNOSTIC FROM 
          -ILLEGAL FILE COUNT- TO -FILE COUNT PARAM NOT NUMERIC-, 
          AS SPECIFIED BY MEMO FROM R. L. SUNDBERG, 4/5/84. 
          AXM    84/05/08    ITEMIZE
  
 *L642*    ************************************************ 
 UPD0616  CHANGE THE PROCESSING OF ASCII COMPILE FILES TO CHECK 
          FOR A TRAILING CHARACTER OF AT-SIGN. IF IT IS AN AT-SIGN
          ADD A WORD OF ONE ASCII BLANK AND 8 DISPLAY CODE BLANKS 
          TO FAKE OUT WRITEH
          DEPENDENCY=F4658,UPDA292,UPD0562
          TWJ    84/08/30    UPDATE 
  
 UPD0633  CHANGE PL OPEN TO INCLUDE RECALL SO ERROR STATUS IS 
          PRESENT WHEN CHECKED.  THIS PROBLEM APPEARED WHEN 
          UPDA362 WAS ADDED TO CHECK FOR LONG BLOCK ERRORS. 
          DEPENDENCY=CP190,UPDA362
          RRM      84/09/26       UPDATE
  
 UPD0707  UPDATE/PRINT.  FIX PROBLEM OF ONE TOO MANY LINES
          PER PAGE BEING PRINTED.  BROKEN BY UPDA404. 
          USED CODE SUGGESTED BY SITE.
          DEPENDENCY=F4658,UPD0463
          AXM    84/09/20    UPDATE 
  
 CMMA072  ALF/ALFE/ALFH, CMMR.  IMPLEMENT SMALL BLOCK RESTRICTION.
          ADDS ENTRY POINTS *CMM.SBL* AND *CMM.SBM*.  THE FOLLOWING 
          RESTRICTION IS APPLIED TO THE ALLOCATION OF FIXED BLOCKS
          VIA *CMM.ALF* (NOT *CMM.FAF*):  IF THE SIZE OF THE BLOCK TO 
          BE ALLOCATED IS .LE. THE VALUE CONTAINED IN *CMM.SBM* (I.E. 
          A SMALL BLOCK), THEN THE BLOCK WILL NOT BE ALLOCATED IF IT
          CANNOT BE ALLOCATED AT AN ADDRESS .LE. THE VALUE CONTAINED
          IN *CMM.SBL*.  THIS DOES NOT APPLY TO THE ALLOCATION OF 
          AN LWA-END GROWTH BLOCK.
          DEPENDENCY=CMM0008,CMMA026,CMMA039,CMMA050
          AXM    84/12/20    ALF, CMFALF, CMSALF, CMMR
  
 CMMA073  CMMFAST, CMMSAFE.  ADD ENTRIES FOR *CMM.LOV* AND *CMM.MFL*. 
          CORRECTS ERROR IN THE SELECTION OF THE FAST VS. SAFE
          VERSIONS OF THESE.
          AXM    84/12/28    CMMFAST, CMMSAFE 
  
 CMMA074  CMFLDV, CMSLDV.  VOID INSTRUCTION STACK AFTER PLUGGING JUMP 
          INSTRUCTION AT *LDV140*.
          AXM    85/03/25    LDV, CMFLDV, CMSLDV
  
 CMM0073  CMMLDV.  CORRECTLY PASS *N* PARAMETER TO CMM.LDV. 
          AXM    84/07/13    CMMLDV 
  
 CMM0074  CMMFAF.  FIX TO USE THE *RTRN* MACRO. 
          CORRECTS PROBLEM OF NOT RESTORING A0 ON RETURN. 
          AXM    84/07/13    CMMFAF 
  
 *L650*    ************************************************ 
 *L670*    ************************************************ 
 UTLA094  PROBLEM - ITEMIZE AND COPYL SHOULD RECOGNIZE THE RECORD TYPE
          *UPLRC* FOR UPDATE RANDOM PROGRAM LIBRARY COMMON DECK.
          SOLUTION - ADD CODE TO UNDERSTAND THIS RECORD TYPE.  ALSO,
          ADD CODE TO ITEMIZE TO MAKE IT OPERATE SIMILAR TO THE NOS 
          CATALOG COMMAND - SHOW THE ENTRY POINT ADDESSES IN OUTPUT AND 
          TREAT COMMENT FIELDS SIMILARLY (STOP WHEN *COPYRIGHT* IS HIT).
          ALSO, CODE IS ADDED TO CHANGE DETECTION OF NOS DEADSTART DECKS
          SUCH THAT INTERPRETING THE TEXT RECORD *CMRDIR* (CMR DIRECTORY
          RECORD) ON NOS/BE WILL NO LONGER OCCUR.  THIS IS DONE BY
          MAKING SURE THAT THE DECK NAME MEETS THE RULES FOR A NOS
          DEADSTART DECK NAME (FORMAT OF XXXXNN, WHERE XXXX IS A FOUR 
          LETTER DEADSTART DECK TYPE, AND NN IS A TWO DIGIT NUMBER).
          THIS IDENT ALSO CHANGES THE WORDING OF THE DIAGNOSTIC - 
          GARBAGE IN OLDPL HEADER --> BAD DATA IN OLDPL HEADER. 
          DEPENDENCY=UTL0120,UTLA067,UTL0121,UTLA087,UTL0042X,CP139UT 
          DEPENDENCY=UTL0001,UTL0054
          CDF    85/10/02    COPYL, ITEMIZE 
  
 UTLA095  CHANGE COPYL AND ITEMIZE TO RECOGNIZE RECORD TYPE 8PP.
          DEPENDENCY=UTLA039,UTL0111,UTLA094,UTL0120
          AM     86/05/06    COPYL, ITEMIZE 
  
 *L688*    ************************************************ 
 UPDA413  UPDATE/ECOR.  WHEN A *DEFINE, *SELYANK, *YANK, OR *YANKDECK 
          OCCURS WITHIN A MODIFICATION, IT IS SKIPPED PER THE CODE
          INTRODUCED VIA PSR UPD0301.  THIS SKIPPING SHOULD NOT BE DONE 
          IF THE STATEMENT IS WITHIN A *TEXT/*ENDTEXT RANGE.  THIS CODE 
          MODIFIES UPD0301 TO ALSO CHECK FOR *TEXT AND *ENDTEXT AND SET 
          OR CLEAR THE TEXT FLAG ACCORDINGLY.  IT THEN SKIPS THE CHECK
          FOR THE ABOVE STATEMENTS WHEN THE FLAG IS SET (INDICATING 
          WITHIN *TEXT/*ENDTEXT). 
          DEPENDENCY=UPD0301
          AM     87/03/19    UPDATE 
  
 UPDA417  UPDATE/ECOR, SETNEWPL.  DURING A NORMAL MODE (NOT *Q* OR *F*) 
          UPDATE WITH A RANDOM PRIMARY PL, A SECONDARY PL, AND A LARGE
          NUMBER OF DECKS/COMDECKS ON THE SECONDARY PL, ONE OR MORE 
          OF THE IDENT FIELDS IN THE *COMPILE* FILE GETS GARBLED. 
          THE PROBLEM IS CAUSED BY THE CALL TO *SETNEWPL* AT LOCATION 
          *NOTQMODE*.  THIS CALL CHANGES THE LENGTH OF ONE OF THE 
          MANAGE TABLES TO A LOWER VALUE AND RESTORES THE ORIGINAL
          LENGTH UPON RETURN.  THIS IS DISASTEROUS IF A TABLE MOVE
          OCCURS IN THE MEANTIME.  THIS CODE CORRECTS THE PROBLEM BY
          MAKING SURE THE TABLE IS SET TO THE CORRECT LENGTH WHEN 
          *SETNEWPL* CALLS *CRDKLIS*, WHICH CAUSES A TABLE TO GROW. 
          DEPENDENCY=UPD0319,F4658,UPDA188,SC40125
          AM     87/03/09    UPDATE 
  
 UPDA419  CKM.  THE *TP. N OVLP* INDICATOR WAS BEING WRITTEN AND THEN 
          NOT CLEARED FROM THE LINE BUFFER WHEN LIST OPTION 2, BUT NOT
          LIST OPTION 3, WAS SELECTED.  CODE FIXES THIS LOGIC (IN 
          ROUTINE *CKM*).  THIS PROBLEM WOULD ALSO APPEAR IF THE
          PRINT LIMIT WAS REACHED, BECAUSE IN THIS CASE, *UPDATE* TURNS 
          OFF LIST OPTION 3.
          DEPENDENCY=UPD0049,F4658
          AM     87/02/19    UPDATE 
  
 UPD0724  UPDATE/PRNTASC.  FOR ASCII LIST OUTPUT (O8 OPTION), THE LINE
          COUNT WAS COMPUTED INCORRECTLY FOR MOST LINE LENGTHS GREATER
          THAN 80 CHARACTERS.  THIS CODE CORRECTS THE TWO ERRORS WHICH
          CAUSED THIS.  ALSO THE >>>> CONTINUATION INDICATOR WAS NOT
          BEING PRINTED FOR LONG ASCII LINES. 
          DEPENDENCY=F4658
          AM     87/03/26    UPDATE 
  
 UPD0729  CURRENT ACTIVE LINE WAS GETTING CLOBBERED WHEN *DECLARE* ERROR
          WAS DETECTED.  ADDED ROUTINES *DECLSV* AND *DECLRS* TO SAVE 
          AND RESTORE THE CONTENTS OF THE CARD IMAGE AREA.  THIS PROBLEM
          OCCURRED ONLY FOR *DECLARE* ERRORS BECAUSE THESE ERRORS ARE 
          NON-FATAL AND THE COMPILE FILE CONTINUES TO BE WRITTEN.  FOR
          OTHER ERRORS WHERE THIS PROCESSING OCCURS, THE COMPILE FILE 
          GETS SUPPRESSED.
          DEPENDENCY=VER20,UPD0062
          AM     86/10/01    UPDATE 
  
 UTL0154  ITEMIZE/MPC.  INCORRECT PP LOAD ADDRESS WAS BEING DISPLAYED 
          FOR NOS/BE DEADSTART FILES.  ADDED CODE TO CORRECT PROBLEM
          BY MODIFYING ROUTINE *MPC* TO SAVE B3.
          DEPENDENCY=UTLA039
          CDF    87/03/30    ITEMIZE
  
 *L716*    ************************************************ 
 CMMA077  PROBLEM - CMM0059 CHANGES *CMM.GFS* SO AS TO RETURN VALUES
          THAT WILL NEVER CAUSE THE UTILIZATION LEVEL TO BE EXCEEDED. 
          IN DOING THIS, IT MAY RETURN VALUES THAT ARE FAR LESS THAN
          CAN BE ALLOCATED IMMEDIATELY FOR FIXED BLOCKS.  IF SPACE
          FOR A FIXED BLOCK IS IMMEDIATELY AVAILABLE, THE BLOCK IS
          ALLOCATED EVEN IF THE UTILIZATION LEVEL IS EXCEEDED.  THE 
          DIFFERENCE IN THE AMOUNT RETURNED BY *CMM.GFS* AND WHAT IS
          ACTUALLY AVAILABLE BECOMES GREATER AS THE NUMBER OF FREE GAPS 
          INCREASES, EVEN THOUGH THEY ARE NOT BIG ENOUGH FOR THE DESIRED
          SPACE.  THE DIFFERENCE ALSO BECOMES GREATER WHEN VARIABLE 
          BLOCKS ARE PRESENT AND THE NUMBER OF VARIABLE BLOCKS
          INCREASES.  A MORE IMMEDIATE PROBLEM CAUSED BY CMM0059 IS THAT
          *CMM.GFS* MAY RETURN A NEGATIVE VALUE WHEN THE ACTUAL AMOUNT
          OF FREE SPACE IS SMALL. 
          SOLUTION - THE LOGIC OF CMM0059 IS RETAINED, BUT EXTENDED AS
          FOLLOWS:  SINCE FIXED BLOCKS ARE IMMEDIATELY ALLOCATED IF A 
          LARGE ENOUGH FREE REGION EXISTS (IN THE ALREADY-ASSIGNED
          FIELD LENGTH), THE VALUE RETURNED BY *CMM.GFS* WILL NEVER BE
          LESS THAN THAT OF THE SIZE OF THE LARGEST FREE REGION.  (NOTE 
          THAT CMM ALWAYS COMBINES RESULTING ADJACENT FREE REGIONS INTO 
          ONE SINGLE FREE REGION IF NECESSARY AFTER ANY FREEING REQUEST 
          HAS BEEN PERFORMED.)
          DEPENDENCY=CMM0059
          AM     87/10/08    GFS, CMFGFS, CMSGFS
  
 CMM0081  ADD *CMM.OP5* AND *CMM.OP6* FUNCTIONS TO ALLOW DYNAMIC
          SPECIFICATION OF *FLINC* AND *FLF*, RESPECTIVELY.  DONE IN
          ORDER TO GIVE USERS MORE CONTROL OVER CMM'S MANAGEMENT OF THE 
          JOB FIELD LENGTH.  ALSO ADD FTN5 INTERFACE ROUTINES *FCMMOP5* 
          AND *FCMMOP6*, RESPECTIVELY.
          NEWDECKS=FCMMOP5,FCMMOP6
          DEPENDENCY=CMMA071,CMM0070
          AM     88/02/26    CMMCOM, ALF, FAF, GLF, OPA, CMMCIA,
                             CMMERR, CMMFAST, CMMSAFE, CMMFFA, CMMR,
                             CMMRLS, CMMVM, FCMMOP4, FCMMOP5, FCMMOP6 
  
 UTLA096  PROBLEM - *ITEMIZE* IS NOT EXPANDING TEXT RECORDS WITH RECORD 
          NAMES *COMMENT*, *OVERLAY*, OR *DDSDECK*.  ALSO, UNLIKE 
          *CATALOG*, RECORD NAMES *IPRD*, *LIBD*, AND OTHER DEADSTART 
          TEXT RECORD NAMES WITHOUT SUFFIXES, ARE NOT BEING EXPANDED. 
          SOLUTION - CORRECT CODING ERROR WHICH PREVENTED THE CORRECT 
          RECORD NAME MASK FROM BEING USED DURING RECORD NAME 
          PROCESSING.  ALSO, ALLOW DEADSTART DECK NAMES WITHOUT 
          SUFFIXES, AND MAKE MINOR CODE PARCELLING IMPROVEMENTS.
          DEPENDENCY=UTL0001,UTLA094
          WMB    87/07/17    ITEMIZE
  
 UTLA097  PROBLEM - *ITEMIZE* DOES NOT HANDLE THE *PD* OPTION CORRECTLY.
          PRINT DENSITY GETS CHANGED TO 8LPI, BUT THE DEFAULT VALUE FOR 
          PAGE SIZE DOES NOT GET CHANGED.  THIS RESULTS IN ONLY 60 LINES
          PER PAGE FOR INSTALLATIONS WITH 6LPI AS THE DEFAULT.
          SOLUTION - CODE SETS PAGE SIZE TO 80 IF *PD* IS SELECTED. 
          DEPENDENCY=UTLA087
          AM     87/07/23    ITEMIZE
  
 *L739*    ************************************************ 
 CMM0083  PROBLEM - ALLOCATION OF A FIXED BLOCK FAILS IF: 
             1) ONE OR MORE VARIABLE BLOCKS ARE PRESENT, AND ONE OR 
                MORE OVERFLOW-ACTION ROUTINES ARE SELECTED, 
             2) THE INITIAL CALL TO *ALFE* FAILS BECAUSE OF NO LARGE
                ENOUGH FREE REGION. 
             3) UPON CALLING *CMM.GOA*, THERE ARE NO TRIGGERS EXCEEDED, 
                SO AFTER CALLING THE OVERFLOW-ACTION ROUTINE(S), ONLY 
                *ALFH*, AND NEVER *ALFE* GETS CALLED. 
          IN OTHER WORDS, ONE OR MORE OVERFLOW-ACTION CALLS CAUSE SPACE 
          TO BE FREED, BUT UNDER THE ABOVE SET OF CIRCUMSTANCES, CMM
          DOES NOT DETECT THE NEW FREE SPACE, BECAUSE *ALFE* NEVER GETS 
          CALLED AGAIN. 
          SOLUTION - MODIFY *ALFH* TO CALL *ALFE* PRIOR TO CALLING
          *CMM.VAF*.  IF *ALFE* SUCCEEDS, *CMM.VAF* NEED NOT BE CALLED. 
          AM     88/09/12    ALF, CMFALF, CMSALF
  
 UTL0096  PROBLEM - COPYL MODES OUT WHEN REPLACEMENT RECORD IS LARGE
          ENOUGH TO OVERFLOW AN 18-BIT PRU ADDRESS. 
          SOLUTION - CHANGE LOGIC TO SAVE ENTIRE PRU ADDRESS RATHER THAN
          ONLY THE LOWER 18 BITS. 
          AM     88/07/08    COPYL
  
 UPD0489  PROBLEM - UPDATE DOES NOT DETECT SEQUENCE NUMBERS GT 131071 
          DURING PASS 1.  THIS LEADS TO STRANGE RESULTS LATER ON. 
          SOLUTION - ISSUE FATAL DIAGNOSTIC FOR THESE ERRORS IN PASS 1. 
          DEPENDENCY=UPDA381
          AM     88/07/11    UPDATE 
  
 UPD0519  PROBLEM - IF THE PL TO BE WRITTEN (*N* OPTION) IS DEFINED AS
          SEQUENTIAL VIA A *FILE* STATEMENT, UPDATE STILL ATTEMPTS TO 
          WRITE IT AS RANDOM UNLESS THE *W* OPTION IS SELECTED.  THIS 
          PROBLEM WAS CAUSED BY IDENT F4658.
          SOLUTION - REMOVE THE *W* OPTION CHECK IN ROUTINE *OPENPL*. 
          DEPENDENCY=F4658
          AM     88/07/13    UPDATE 
  
 *L780*    ************************************************ 
 *L797*    ************************************************ 
 *L803*    ************************************************ 
 UTL0156  PROBLEM- *COPYL* AND *ITEMIZE* DO NOT SUPPORT CARTRIDGE TAPE
          OR OPTICAL DISK FILES.
  
          SOLUTION- MODIFY *COPYL* AND *ITEMIZE* TO PROVIDE THE LARGER
          BUFFERS REQUIRED FOR CARTRIDGE TAPE AND OPTICAL DISK, AND THE 
          FET EXTENSION AND INITIALIZATION FOR OPTICAL DISK FILES.
          RED.   93/04/05.   COPYL, ITEMIZE.
  
 *L826*    ************************************************ 
 *L840*    ************************************************ 
 *L847*    ************************************************ 
 *L851*    ************************************************ 
 UPD0739  PROBLEM - *UPDATE* DOES NOT SUPPORT *LI* FORMAT TAPE. 
  
          SOLUTION - MODIFY *UPDATE* TO PROVIDE THE LARGER BUFFERS
          REQUIRED FOR *LI* FORMAT TAPE, AND OTHER MINOR CORRECTIONS. 
          RED.   95/09/29.   UPDATE.
  
 *L859*    ************************************************ 
 *L871*    ************************************************ 
 PSRLEVEL MODIFY VERSION/PSR LEVEL IN UPDATE, CMM AND ITEMIZE.
          CJC    82/05/26    UPDATE,CMM,ITEMIZE 
  
  
  
